﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using System.IO;
using System.Collections;

namespace TEC55CSharp
{
    public partial class Tec55 : Form
    {
        int setEchoSenha;
        int setEcho;
        int estadoNumLock = 0;
        int estadoCapsLock = 0;

        public Tec55()
        {
            InitializeComponent();
            DllConnection.OpenTec55(); // abre a dll
            DllConnection.Reset(); //reseta 
            tbEnviaTexto.Text = "Tec 55 Teste Gertec";
            mtbPosX.Text = "2";
            mtbPosY.Text = "4";
            tbCartao.Text = ("Ative a leitura e passe o cartão");
            
        }

        private void btLimpaDisplay_Click(object sender, EventArgs e)
        {
            DllConnection.FormFeed(); // limpa display
        }

        private void btBackSpace_Click(object sender, EventArgs e)
        {
            DllConnection.BackSpace(); // apaga caracter da esquerda
        }

        private void btPulaLinha_Click(object sender, EventArgs e)
        {
            DllConnection.LineFeed(); //pula linha
        }

        private void btPosInicial_Click(object sender, EventArgs e)
        {
            DllConnection.CarRet(); //move o cursor para a posição inicial
        }

        private void btSair_Click(object sender, EventArgs e)
        {
            DllConnection.CloseTec55(); // fecha a dll
            Application.Exit();
        }

        private void btPulaLinhaPosIni_Click(object sender, EventArgs e)
        {
            DllConnection.LineFeed(); //pula linha
            DllConnection.CarRet(); //move o cursor para a posição inicial
        }

        private void btEnviaTexto_Click(object sender, EventArgs e)
        {
            if (tbEnviaTexto.Text == null || tbEnviaTexto.Text == "")
            {
                MessageBox.Show("Favor digitar algum texto!!", "Erro");
                return;
            }
            else
                DllConnection.DispStr(tbEnviaTexto.Text.ToCharArray()); //envia texto para o display
        }

        private void btPosXY_Click(object sender, EventArgs e)
        {
            int x,y;

            if (mtbPosX.Text == null || mtbPosX.Text == "" || mtbPosY.Text == null || mtbPosY.Text == "")
            {
                MessageBox.Show("Favor digitar alguma posição!!", "Erro");
                return;                
            }
            else
            {
                x = Convert.ToInt32(mtbPosX.Text);
                y = Convert.ToInt32(mtbPosY.Text);
                DllConnection.GoToXY(x,y);//cursor na posição X e Y
            }
        }

        private void trbContraste_Scroll(object sender, EventArgs e)
        {
            DllConnection.Contraste(trbContraste.Value); //regula o contraste

            int x;
            x = Convert.ToInt32((trbContraste.Value));

            lbContraste.Text = Convert.ToString(x);
        }

        private void btDesenharDisplay_Click(object sender, EventArgs e)
        {
            //DllConnection.LineFeed(); //pula linha
            //DllConnection.CarRet(); //move o cursor para a posição inicial

            char[] desenho = new char[50];

            desenho[0] = Convert.ToChar(0xFF);
            desenho[1] = Convert.ToChar(0xC0);
            desenho[2] = Convert.ToChar(0xA0);
            desenho[3] = Convert.ToChar(0x90);
            desenho[4] = Convert.ToChar(0x88);
            desenho[5] = Convert.ToChar(0x84);
            desenho[6] = Convert.ToChar(0x82);
            desenho[7] = Convert.ToChar(0x81);
            desenho[8] = Convert.ToChar(0x81);
            desenho[9] = Convert.ToChar(0x82);

            desenho[10] = Convert.ToChar(0x84);
            desenho[11] = Convert.ToChar(0x84);
            desenho[12] = Convert.ToChar(0x84);
            desenho[13] = Convert.ToChar(0x84);
            desenho[14] = Convert.ToChar(0x84);
            desenho[15] = Convert.ToChar(0x82);
            desenho[16] = Convert.ToChar(0x81);
            desenho[17] = Convert.ToChar(0x81);
            desenho[18] = Convert.ToChar(0x82);
            desenho[19] = Convert.ToChar(0x84);

            desenho[20] = Convert.ToChar(0x88);
            desenho[21] = Convert.ToChar(0x90);
            desenho[22] = Convert.ToChar(0xA0);
            desenho[23] = Convert.ToChar(0xC0);
            desenho[24] = Convert.ToChar(0xFF);
            desenho[25] = Convert.ToChar(0xFF);
            desenho[26] = Convert.ToChar(0x03);
            desenho[27] = Convert.ToChar(0x05);
            desenho[28] = Convert.ToChar(0x09);
            desenho[29] = Convert.ToChar(0x11);

            desenho[30] = Convert.ToChar(0x21);
            desenho[31] = Convert.ToChar(0x41);
            desenho[32] = Convert.ToChar(0x81);
            desenho[33] = Convert.ToChar(0x01);
            desenho[34] = Convert.ToChar(0x01);
            desenho[35] = Convert.ToChar(0x01);
            desenho[36] = Convert.ToChar(0x01);
            desenho[37] = Convert.ToChar(0x01);
            desenho[38] = Convert.ToChar(0x01);
            desenho[39] = Convert.ToChar(0x01);

            desenho[40] = Convert.ToChar(0x01);
            desenho[41] = Convert.ToChar(0x01);
            desenho[42] = Convert.ToChar(0x81);
            desenho[43] = Convert.ToChar(0x41);
            desenho[44] = Convert.ToChar(0x21);
            desenho[45] = Convert.ToChar(0x11);
            desenho[46] = Convert.ToChar(0x09);
            desenho[47] = Convert.ToChar(0x05);
            desenho[48] = Convert.ToChar(0x03);
            desenho[49] = Convert.ToChar(0xFF);
	
	/* Envia um vetor com valores hexadecimais, onde cada valor hexadecimal corresponde a 8 bits
     ( pixels ), indicando se o pixel será preenchido ou não. Exemplo A0 = 10100000, indicando
     assim que os pixels 1 e 3 serão preenchidos e os pixels 2, 4, 5, 6, 7, 8 não serão
    preenchidos. Os pixels são preenchidos de baixo para cima, do esquerda para a direita.*/

    /* Envia a imagem grafica para o display, seguindo a ordem: tamanho do vetor, vetor contento
     a imagem, tamanho da coluna em pixels, tamanho da linha em pixels.*/            
            DllConnection.DispGraph(50, desenho, 25, 16);
        }

        private void cbEcoDisplay_CheckedChanged(object sender, EventArgs e)
        {
            setEcho = Convert.ToInt32(cbEcoDisplay.Checked);

            DllConnection.SetEcho(setEcho, setEchoSenha); // eco no display
        }

        private void cbSenha_CheckedChanged(object sender, EventArgs e)
        {
            setEchoSenha = Convert.ToInt32(cbSenha.Checked);

            DllConnection.SetEcho(setEcho, setEchoSenha); // eco no display com senha
        }

        private void cbCursor_CheckedChanged(object sender, EventArgs e)
        {
            if (cbCursor.Checked == true )
                DllConnection.SetCursorON(1); // aparece o cursor
            else
                DllConnection.SetCursorON(0); // desaparece o cursor
        }

        private void cbDuplicFonte_CheckedChanged(object sender, EventArgs e)
        {
            if (cbDuplicFonte.Checked == true)
                DllConnection.SetFontExtendida(1);// aumenta o tamanho da fonte            
            else
                DllConnection.SetFontExtendida(0);// volta o tamanho da fonte para o normal
        }

        private void btNumLock_Click(object sender, EventArgs e)
        {
            if (estadoNumLock == 1)	              
                    estadoNumLock = 0;	//desativa o numlock caso esteja ativo
            else
                    estadoNumLock = 1; //ativa o numlock caso contrário
       
            DllConnection.SetNumL(estadoNumLock);
        }

        private void btCapsLock_Click(object sender, EventArgs e)
        {
            if (estadoCapsLock == 1)
                estadoCapsLock = 0; //desativa o capslock caso esteja ativo
            else
                estadoCapsLock = 1; //ativa o capslock caso contrário           

            DllConnection.SetCapsL(estadoCapsLock);
        }

        private void cbBeepCont_CheckedChanged(object sender, EventArgs e)
        {
            if (cbBeepCont.Checked == true)           
                DllConnection.BeepOn(1); // ativa beep continuo           
            else
                DllConnection.BeepOn(0); // desativa beep continuo
        }

        private void cbBeepTeclas_CheckedChanged(object sender, EventArgs e)
        {
            if (cbBeepTeclas.Checked == true)
                DllConnection.BeepKeyOn(1); // ativa beep ao apertar alguma tecla   
            else
                DllConnection.BeepKeyOn(0); // desativa o beep das teclas
        }

        private void cbRepeticao_CheckedChanged(object sender, EventArgs e)
        {
            if (cbRepeticao.Checked == true)
                DllConnection.SetAutoRepeat(1); // ativa repetição do teclado
            else
                DllConnection.SetAutoRepeat(0); // desativa a repetição
        }

        private void cbLeitorCartao_CheckedChanged(object sender, EventArgs e)
        {
            if (cbLeitorCartao.Checked == true)
            {
                tbCartao.Text = ("");
                tbCartao.Focus();
                DllConnection.SetCard(1);  //recebe cartão              
            }
            else
            {
                DllConnection.SetCard(0); // desativa o cartão
                tbCartao.Text = ("Ative a leitura e passe o cartão");
            }
        }

        private void tabPage1_Click(object sender, EventArgs e)
        {

        }
    }
}
