#include <windows.h>
#include <string.h>
#include <stdio.h> 
#pragma once

namespace Projeto1 {
    
	using namespace System;
	using namespace System::ComponentModel;
	using namespace System::Collections;
	using namespace System::Windows::Forms;
	using namespace System::Data;
	using namespace System::Drawing; 
	using namespace System::Runtime::InteropServices;

    // DECLARAO DE TIPOS E VARIVEIS

    typedef struct
    {
		int tabSock[1024];    // Lista com os SOCKETs dos terminais
		DWORD tabIP[1024];    // Lista com os IPs dos terminais
		int numSockConec;     // Nmero de terminais conectados
    } TTABSOCK;

	typedef struct
    {
        int ID;
		char host[22];        // IP do servidor formatado por pontos
		char endereco[22];    // IP do terminal formatado por pontos
		char mskNet[22];      // IP da mascara de rede formatado por pontos
		char texto1[22];      // Texto da linha 1
		char texto2[22];      // Texto da linha 2
		char texto3[22];      // Texto da linha 3
		char texto4[22];      // Texto da linha 4
		char tempoExib;       // Tempo de exibio de mensagens
	} TCCONFIG;

	typedef struct
    {
        int ID;
		char ipDinamico;      // IP dinmico (1) ou fixo (0)
		char buscaServ;       // Busca servidor (1) ou no busca (0)
    } TCPARAMCONFIG;

	typedef struct
    {
        int ID;
		char gateway[22];     // IP do gateway formatado por pontos
		char nameServer[22];  // IP do servidor de nomes formatado por pontos
		char tcName[22];      // Nome do terminal
		char updServ[100];    // Endereo do servidor de atualizao
		char updUser[22];     // Nome do usurio (utilizado na atualizao por FTP)
		char updPass[22];     // Senha (utilizado na atualizao por FTP)
    } TCUPDCONFIG;

	TTABSOCK tabelaDeConectados;

	// DECLARAO DE PROCEDIMENTOS E FUNES GERAIS

	HINSTANCE HSC501GER;

	// Inicializaes da DLL

	void      ( _stdcall *pfun_vInitialize )          ( void );
	int       ( _stdcall *pfun_tc_startserver )       ( void );

	// Converso de Tipos

	void      ( _stdcall *pfun_TCinet_ntoa)           ( DWORD nIP, char *buf );
	DWORD     ( _stdcall *pfun_TCinet_addr)           ( char *buf );

	// Rotinas de Controle dos Terminais Conectados

	TTABSOCK  ( _stdcall *pfun_GetTabConectados)      (int nada);

	// Comandos de Rede

	BOOL      ( _stdcall *pfun_bSendRestartSoft )     ( int ID );

    BOOL      ( _stdcall *pfun_bMandaConfig )         ( TCCONFIG *confTemp );
	BOOL      ( _stdcall *pfun_bPedeConfig )          ( int ID );

	BOOL      ( _stdcall *pfun_bSendProdPrice )       ( int ID, char *nameProd, char *priceProd );
	BOOL      ( _stdcall *pfun_bSendProdNotFound )    ( int ID );

	BOOL      ( _stdcall *pfun_bSendDisplayMsg )      ( int ID, char *line1, char *line2, WORD timeExhibition, WORD typeAnimation );
    BOOL      ( _stdcall *pfun_bSendImageFromFile )   ( int ID, char *fileName, int width, int height, int index, int loop, int pause, int rezise );

	BOOL      ( _stdcall *pfun_bPedeParam )           ( int ID );
	BOOL      ( _stdcall *pfun_bMandaParam )          ( TCPARAMCONFIG *confTemp );

	BOOL      ( _stdcall *pfun_bPedeUpdConfig )       ( int ID );
	BOOL      ( _stdcall *pfun_bMandaUpdConfig )      ( TCUPDCONFIG *confTemp );

	// Rotinas para Receber Dados dos Terminais

	BOOL      ( _stdcall *pfun_bReceiveBarcode )      ( int *ID, int *porta, char *buffer, int *nBr );
	
	BOOL      ( _stdcall *pfun_bReceiveConfig )       ( TCCONFIG *confTemp );
	
	BOOL      ( _stdcall *pfun_bReceiveParam )        ( TCPARAMCONFIG *confTemp );
	BOOL      ( _stdcall *pfun_bReceiveUpdConfig )    ( TCUPDCONFIG *confTemp );

	/// <summary>
	/// Summary for Form1
	///
	/// WARNING: If you change the name of this class, you will need to change the
	///          'Resource File Name' property for the managed resource compiler tool
	///          associated with all .resx files this class depends on.  Otherwise,
	///          the designers will not be able to interact properly with localized
	///          resources associated with this form.
	/// </summary>

	public ref class Form1 : public System::Windows::Forms::Form
	{
	public:
		
		Form1(void)
		{
			InitializeComponent();
			//
			//TODO: Add the constructor code here
			//
		}

	protected:

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		~Form1()
		{
			if (components)
			{
				delete components;
			}
		}
	
	private: System::Windows::Forms::ListBox^  listTerminais;
	
	protected: 

	protected: 

	private: System::Windows::Forms::TabControl^  tabControl1;
	private: System::Windows::Forms::TabPage^  tabPage3;
	private: System::Windows::Forms::GroupBox^  groupBox4;
	private: System::Windows::Forms::Button^  button4;
	private: System::Windows::Forms::CheckBox^  checkBox3;
	private: System::Windows::Forms::CheckBox^  checkBox4;
	private: System::Windows::Forms::GroupBox^  groupBox5;
	private: System::Windows::Forms::Button^  button5;
	private: System::Windows::Forms::TextBox^  textBox1;
	private: System::Windows::Forms::TextBox^  textBox2;
	private: System::Windows::Forms::TextBox^  textBox17;
	private: System::Windows::Forms::Label^  label1;
	private: System::Windows::Forms::Label^  label2;
	private: System::Windows::Forms::Label^  label17;
	private: System::Windows::Forms::TextBox^  textBox18;
	private: System::Windows::Forms::TextBox^  textBox19;
	private: System::Windows::Forms::TextBox^  textBox20;
	private: System::Windows::Forms::Label^  label18;
	private: System::Windows::Forms::Label^  label19;
	private: System::Windows::Forms::Label^  label20;
	private: System::Windows::Forms::GroupBox^  groupBox6;
	private: System::Windows::Forms::Button^  button6;
	private: System::Windows::Forms::TextBox^  textBox21;
	private: System::Windows::Forms::TextBox^  textBox22;
	private: System::Windows::Forms::Label^  label21;
	private: System::Windows::Forms::Label^  label22;
	private: System::Windows::Forms::TextBox^  textBox23;
	private: System::Windows::Forms::TextBox^  textBox24;
	private: System::Windows::Forms::TextBox^  textBox25;
	private: System::Windows::Forms::Label^  label23;
	private: System::Windows::Forms::Label^  label24;
	private: System::Windows::Forms::Label^  label25;
	private: System::Windows::Forms::TextBox^  textBox26;
	private: System::Windows::Forms::TextBox^  textBox27;
	private: System::Windows::Forms::TextBox^  textBox28;
	private: System::Windows::Forms::Label^  label26;
	private: System::Windows::Forms::Label^  label27;
	private: System::Windows::Forms::Label^  label28;
	private: System::Windows::Forms::TabPage^  tabPage4;
	private: System::Windows::Forms::GroupBox^  groupBox7;
	private: System::Windows::Forms::Button^  button7;
	private: System::Windows::Forms::CheckBox^  checkBox5;
	private: System::Windows::Forms::CheckBox^  checkBox6;
	private: System::Windows::Forms::GroupBox^  groupBox8;
	private: System::Windows::Forms::Button^  button8;
	private: System::Windows::Forms::TextBox^  textBox29;
	private: System::Windows::Forms::TextBox^  textBox30;
	private: System::Windows::Forms::TextBox^  textBox31;
	private: System::Windows::Forms::Label^  label29;
	private: System::Windows::Forms::Label^  label30;
	private: System::Windows::Forms::Label^  label31;
	private: System::Windows::Forms::TextBox^  textBox32;
	private: System::Windows::Forms::TextBox^  textBox33;
	private: System::Windows::Forms::TextBox^  textBox34;
	private: System::Windows::Forms::Label^  label32;
	private: System::Windows::Forms::Label^  label33;
	private: System::Windows::Forms::Label^  label34;
	private: System::Windows::Forms::GroupBox^  groupBox9;
	private: System::Windows::Forms::Button^  button9;
	private: System::Windows::Forms::TextBox^  textBox35;
	private: System::Windows::Forms::TextBox^  textBox36;
	private: System::Windows::Forms::Label^  label35;
	private: System::Windows::Forms::Label^  label36;
	private: System::Windows::Forms::TextBox^  textBox37;
	private: System::Windows::Forms::TextBox^  textBox38;
	private: System::Windows::Forms::TextBox^  textBox39;
	private: System::Windows::Forms::Label^  label37;
	private: System::Windows::Forms::Label^  label38;
	private: System::Windows::Forms::Label^  label39;
	private: System::Windows::Forms::TextBox^  textBox40;
	private: System::Windows::Forms::TextBox^  textBox41;
	private: System::Windows::Forms::TextBox^  textBox42;
	private: System::Windows::Forms::Label^  label40;
	private: System::Windows::Forms::Label^  label41;
	private: System::Windows::Forms::Label^  label42;
	private: System::Windows::Forms::TabPage^  tabPage2;
	private: System::Windows::Forms::TabPage^  tabPage5;
	private: System::Windows::Forms::GroupBox^  groupBox13;
	private: System::Windows::Forms::Button^  btnEnviarParametros;
	private: System::Windows::Forms::CheckBox^  checkBuscaServidor;
	private: System::Windows::Forms::CheckBox^  checkIPDinamico;
	private: System::Windows::Forms::GroupBox^  groupBox14;
	private: System::Windows::Forms::Button^  btnEnviarExEtherNet;
	private: System::Windows::Forms::TextBox^  textSenha;
	private: System::Windows::Forms::TextBox^  textUsuario;
	private: System::Windows::Forms::TextBox^  textFTPServidor;
	private: System::Windows::Forms::Label^  label57;
	private: System::Windows::Forms::Label^  label58;
	private: System::Windows::Forms::Label^  label59;
	private: System::Windows::Forms::TextBox^  textTCNome;
	private: System::Windows::Forms::TextBox^  textServidorNomes;
	private: System::Windows::Forms::TextBox^  textGateway;
	private: System::Windows::Forms::Label^  label60;
	private: System::Windows::Forms::Label^  label61;
	private: System::Windows::Forms::Label^  label62;
	private: System::Windows::Forms::GroupBox^  groupBox15;
	private: System::Windows::Forms::Button^  btnEnviarEtherNet;
	private: System::Windows::Forms::TextBox^  textExibicao1;
	private: System::Windows::Forms::TextBox^  textTexto4;
	private: System::Windows::Forms::Label^  label63;
	private: System::Windows::Forms::Label^  label64;
	private: System::Windows::Forms::TextBox^  textTexto3;
	private: System::Windows::Forms::TextBox^  textTexto2;
	private: System::Windows::Forms::TextBox^  textTexto1;
	private: System::Windows::Forms::Label^  label65;
	private: System::Windows::Forms::Label^  label66;
	private: System::Windows::Forms::Label^  label67;
	private: System::Windows::Forms::TextBox^  textMascaraRede;
	private: System::Windows::Forms::TextBox^  textIPTerminal;
	private: System::Windows::Forms::TextBox^  textIPServidor;
	private: System::Windows::Forms::Label^  label68;
	private: System::Windows::Forms::Label^  label69;
	private: System::Windows::Forms::Label^  label70;
	private: System::Windows::Forms::TabPage^  tabPage1;
	private: System::Windows::Forms::GroupBox^  groupBox1;
	private: System::Windows::Forms::Button^  button1;
	private: System::Windows::Forms::CheckBox^  checkBox1;
	private: System::Windows::Forms::CheckBox^  checkBox2;
	private: System::Windows::Forms::GroupBox^  groupBox2;
	private: System::Windows::Forms::Button^  button2;
	private: System::Windows::Forms::TextBox^  textBox3;
	private: System::Windows::Forms::TextBox^  textBox4;
	private: System::Windows::Forms::TextBox^  textBox5;
	private: System::Windows::Forms::Label^  label3;
	private: System::Windows::Forms::Label^  label4;
	private: System::Windows::Forms::Label^  label5;
	private: System::Windows::Forms::TextBox^  textBox6;
	private: System::Windows::Forms::TextBox^  textBox7;
	private: System::Windows::Forms::TextBox^  textBox8;
	private: System::Windows::Forms::Label^  label6;
	private: System::Windows::Forms::Label^  label7;
	private: System::Windows::Forms::Label^  label8;
	private: System::Windows::Forms::GroupBox^  groupBox3;
	private: System::Windows::Forms::Button^  button3;
	private: System::Windows::Forms::TextBox^  textBox9;
	private: System::Windows::Forms::TextBox^  textBox10;
	private: System::Windows::Forms::Label^  label9;
	private: System::Windows::Forms::Label^  label10;
	private: System::Windows::Forms::TextBox^  textBox11;
	private: System::Windows::Forms::TextBox^  textBox12;
	private: System::Windows::Forms::TextBox^  textBox13;
	private: System::Windows::Forms::Label^  label11;
	private: System::Windows::Forms::Label^  label12;
	private: System::Windows::Forms::Label^  label13;
	private: System::Windows::Forms::TextBox^  textBox14;
	private: System::Windows::Forms::TextBox^  textBox15;
	private: System::Windows::Forms::TextBox^  textBox16;
	private: System::Windows::Forms::Label^  label14;
	private: System::Windows::Forms::Label^  label15;
	private: System::Windows::Forms::Label^  label16;
	private: System::Windows::Forms::ListBox^  listMensagensRecebidas;
	private: System::Windows::Forms::TabPage^  tabPage6;
	private: System::Windows::Forms::GroupBox^  groupBox10;
	private: System::Windows::Forms::Button^  btnEnviarTextoInstantaneo;
	private: System::Windows::Forms::TextBox^  textExibicao2;
	private: System::Windows::Forms::TextBox^  textLinha2;
	private: System::Windows::Forms::Label^  label43;
	private: System::Windows::Forms::Label^  label44;
	private: System::Windows::Forms::TextBox^  textLinha1;
	private: System::Windows::Forms::Label^  label45;
	private: System::Windows::Forms::GroupBox^  groupBox11;
	private: System::Windows::Forms::PictureBox^  pictureImagemInstantanea;
	private: System::Windows::Forms::Button^  btnEnviarImagemInstantanea;
	private: System::Windows::Forms::TabPage^  tabPage7;
	private: System::Windows::Forms::DataGridView^  dataGridViewPropaganda;
	private: System::Windows::Forms::Button^  btnEnviarPropaganda;
	private: System::Windows::Forms::Button^  btnApagarPropaganda;
	private: System::Windows::Forms::Button^  btnAdicionarPropaganda;
	private: System::Windows::Forms::Button^  btnReiniciar;
	private: System::Windows::Forms::Button^  btnAtualizar;
    private: System::Windows::Forms::MenuStrip^  menuStrip1;
	private: System::Windows::Forms::ToolStripMenuItem^  menuToolStripMenuItem;
	private: System::Windows::Forms::ToolStripMenuItem^  iniciarToolStripMenuItem;
	private: System::Windows::Forms::ToolStripSeparator^  sairToolStripMenuItem;
	private: System::Windows::Forms::ToolStripMenuItem^  sairToolStripMenuItem1;
	private: System::Windows::Forms::ToolStripMenuItem^  idiomaToolStripMenuItem;
	private: System::Windows::Forms::ToolStripMenuItem^  portugusToolStripMenuItem;
	private: System::Windows::Forms::ToolStripMenuItem^  inglsToolStripMenuItem;
	private: System::Windows::Forms::Timer^  timer1;
    private: System::Windows::Forms::Timer^  timer2;
    private: System::Windows::Forms::TextBox^  textDescricaoProduto;
    private: System::Windows::Forms::TextBox^  textCodigoBarras;
    private: System::Windows::Forms::OpenFileDialog^  openFileDialog1;
    private: System::Windows::Forms::TextBox^  textPrecoProduto;
    private: System::Windows::Forms::PictureBox^  picturePropaganda;
	private: System::Windows::Forms::DataGridViewTextBoxColumn^  ColunaNome;
	private: System::Windows::Forms::DataGridViewTextBoxColumn^  ColunaLoop;
	private: System::Windows::Forms::DataGridViewTextBoxColumn^  ColunaPausa;
	private: System::ComponentModel::IContainer^  components;

    protected: 

	private:
		/// <summary>
		/// Required designer variable.
		/// </summary>

#pragma region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		void InitializeComponent(void)
		{
			this->components = (gcnew System::ComponentModel::Container());
			System::ComponentModel::ComponentResourceManager^  resources = (gcnew System::ComponentModel::ComponentResourceManager(Form1::typeid));
			this->listTerminais = (gcnew System::Windows::Forms::ListBox());
			this->tabControl1 = (gcnew System::Windows::Forms::TabControl());
			this->tabPage2 = (gcnew System::Windows::Forms::TabPage());
			this->textPrecoProduto = (gcnew System::Windows::Forms::TextBox());
			this->textDescricaoProduto = (gcnew System::Windows::Forms::TextBox());
			this->textCodigoBarras = (gcnew System::Windows::Forms::TextBox());
			this->listMensagensRecebidas = (gcnew System::Windows::Forms::ListBox());
			this->tabPage5 = (gcnew System::Windows::Forms::TabPage());
			this->groupBox13 = (gcnew System::Windows::Forms::GroupBox());
			this->btnEnviarParametros = (gcnew System::Windows::Forms::Button());
			this->checkBuscaServidor = (gcnew System::Windows::Forms::CheckBox());
			this->checkIPDinamico = (gcnew System::Windows::Forms::CheckBox());
			this->groupBox14 = (gcnew System::Windows::Forms::GroupBox());
			this->btnEnviarExEtherNet = (gcnew System::Windows::Forms::Button());
			this->textSenha = (gcnew System::Windows::Forms::TextBox());
			this->textUsuario = (gcnew System::Windows::Forms::TextBox());
			this->textFTPServidor = (gcnew System::Windows::Forms::TextBox());
			this->label57 = (gcnew System::Windows::Forms::Label());
			this->label58 = (gcnew System::Windows::Forms::Label());
			this->label59 = (gcnew System::Windows::Forms::Label());
			this->textTCNome = (gcnew System::Windows::Forms::TextBox());
			this->textServidorNomes = (gcnew System::Windows::Forms::TextBox());
			this->textGateway = (gcnew System::Windows::Forms::TextBox());
			this->label60 = (gcnew System::Windows::Forms::Label());
			this->label61 = (gcnew System::Windows::Forms::Label());
			this->label62 = (gcnew System::Windows::Forms::Label());
			this->groupBox15 = (gcnew System::Windows::Forms::GroupBox());
			this->btnEnviarEtherNet = (gcnew System::Windows::Forms::Button());
			this->textExibicao1 = (gcnew System::Windows::Forms::TextBox());
			this->textTexto4 = (gcnew System::Windows::Forms::TextBox());
			this->label63 = (gcnew System::Windows::Forms::Label());
			this->label64 = (gcnew System::Windows::Forms::Label());
			this->textTexto3 = (gcnew System::Windows::Forms::TextBox());
			this->textTexto2 = (gcnew System::Windows::Forms::TextBox());
			this->textTexto1 = (gcnew System::Windows::Forms::TextBox());
			this->label65 = (gcnew System::Windows::Forms::Label());
			this->label66 = (gcnew System::Windows::Forms::Label());
			this->label67 = (gcnew System::Windows::Forms::Label());
			this->textMascaraRede = (gcnew System::Windows::Forms::TextBox());
			this->textIPTerminal = (gcnew System::Windows::Forms::TextBox());
			this->textIPServidor = (gcnew System::Windows::Forms::TextBox());
			this->label68 = (gcnew System::Windows::Forms::Label());
			this->label69 = (gcnew System::Windows::Forms::Label());
			this->label70 = (gcnew System::Windows::Forms::Label());
			this->tabPage6 = (gcnew System::Windows::Forms::TabPage());
			this->groupBox11 = (gcnew System::Windows::Forms::GroupBox());
			this->pictureImagemInstantanea = (gcnew System::Windows::Forms::PictureBox());
			this->btnEnviarImagemInstantanea = (gcnew System::Windows::Forms::Button());
			this->groupBox10 = (gcnew System::Windows::Forms::GroupBox());
			this->btnEnviarTextoInstantaneo = (gcnew System::Windows::Forms::Button());
			this->textExibicao2 = (gcnew System::Windows::Forms::TextBox());
			this->textLinha2 = (gcnew System::Windows::Forms::TextBox());
			this->label43 = (gcnew System::Windows::Forms::Label());
			this->label44 = (gcnew System::Windows::Forms::Label());
			this->textLinha1 = (gcnew System::Windows::Forms::TextBox());
			this->label45 = (gcnew System::Windows::Forms::Label());
			this->tabPage7 = (gcnew System::Windows::Forms::TabPage());
			this->picturePropaganda = (gcnew System::Windows::Forms::PictureBox());
			this->btnApagarPropaganda = (gcnew System::Windows::Forms::Button());
			this->btnAdicionarPropaganda = (gcnew System::Windows::Forms::Button());
			this->btnEnviarPropaganda = (gcnew System::Windows::Forms::Button());
			this->dataGridViewPropaganda = (gcnew System::Windows::Forms::DataGridView());
			this->ColunaNome = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
			this->ColunaLoop = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
			this->ColunaPausa = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
			this->tabPage3 = (gcnew System::Windows::Forms::TabPage());
			this->groupBox4 = (gcnew System::Windows::Forms::GroupBox());
			this->button4 = (gcnew System::Windows::Forms::Button());
			this->checkBox3 = (gcnew System::Windows::Forms::CheckBox());
			this->checkBox4 = (gcnew System::Windows::Forms::CheckBox());
			this->groupBox5 = (gcnew System::Windows::Forms::GroupBox());
			this->button5 = (gcnew System::Windows::Forms::Button());
			this->textBox1 = (gcnew System::Windows::Forms::TextBox());
			this->textBox2 = (gcnew System::Windows::Forms::TextBox());
			this->textBox17 = (gcnew System::Windows::Forms::TextBox());
			this->label1 = (gcnew System::Windows::Forms::Label());
			this->label2 = (gcnew System::Windows::Forms::Label());
			this->label17 = (gcnew System::Windows::Forms::Label());
			this->textBox18 = (gcnew System::Windows::Forms::TextBox());
			this->textBox19 = (gcnew System::Windows::Forms::TextBox());
			this->textBox20 = (gcnew System::Windows::Forms::TextBox());
			this->label18 = (gcnew System::Windows::Forms::Label());
			this->label19 = (gcnew System::Windows::Forms::Label());
			this->label20 = (gcnew System::Windows::Forms::Label());
			this->groupBox6 = (gcnew System::Windows::Forms::GroupBox());
			this->button6 = (gcnew System::Windows::Forms::Button());
			this->textBox21 = (gcnew System::Windows::Forms::TextBox());
			this->textBox22 = (gcnew System::Windows::Forms::TextBox());
			this->label21 = (gcnew System::Windows::Forms::Label());
			this->label22 = (gcnew System::Windows::Forms::Label());
			this->textBox23 = (gcnew System::Windows::Forms::TextBox());
			this->textBox24 = (gcnew System::Windows::Forms::TextBox());
			this->textBox25 = (gcnew System::Windows::Forms::TextBox());
			this->label23 = (gcnew System::Windows::Forms::Label());
			this->label24 = (gcnew System::Windows::Forms::Label());
			this->label25 = (gcnew System::Windows::Forms::Label());
			this->textBox26 = (gcnew System::Windows::Forms::TextBox());
			this->textBox27 = (gcnew System::Windows::Forms::TextBox());
			this->textBox28 = (gcnew System::Windows::Forms::TextBox());
			this->label26 = (gcnew System::Windows::Forms::Label());
			this->label27 = (gcnew System::Windows::Forms::Label());
			this->label28 = (gcnew System::Windows::Forms::Label());
			this->tabPage4 = (gcnew System::Windows::Forms::TabPage());
			this->groupBox7 = (gcnew System::Windows::Forms::GroupBox());
			this->button7 = (gcnew System::Windows::Forms::Button());
			this->checkBox5 = (gcnew System::Windows::Forms::CheckBox());
			this->checkBox6 = (gcnew System::Windows::Forms::CheckBox());
			this->groupBox8 = (gcnew System::Windows::Forms::GroupBox());
			this->button8 = (gcnew System::Windows::Forms::Button());
			this->textBox29 = (gcnew System::Windows::Forms::TextBox());
			this->textBox30 = (gcnew System::Windows::Forms::TextBox());
			this->textBox31 = (gcnew System::Windows::Forms::TextBox());
			this->label29 = (gcnew System::Windows::Forms::Label());
			this->label30 = (gcnew System::Windows::Forms::Label());
			this->label31 = (gcnew System::Windows::Forms::Label());
			this->textBox32 = (gcnew System::Windows::Forms::TextBox());
			this->textBox33 = (gcnew System::Windows::Forms::TextBox());
			this->textBox34 = (gcnew System::Windows::Forms::TextBox());
			this->label32 = (gcnew System::Windows::Forms::Label());
			this->label33 = (gcnew System::Windows::Forms::Label());
			this->label34 = (gcnew System::Windows::Forms::Label());
			this->groupBox9 = (gcnew System::Windows::Forms::GroupBox());
			this->button9 = (gcnew System::Windows::Forms::Button());
			this->textBox35 = (gcnew System::Windows::Forms::TextBox());
			this->textBox36 = (gcnew System::Windows::Forms::TextBox());
			this->label35 = (gcnew System::Windows::Forms::Label());
			this->label36 = (gcnew System::Windows::Forms::Label());
			this->textBox37 = (gcnew System::Windows::Forms::TextBox());
			this->textBox38 = (gcnew System::Windows::Forms::TextBox());
			this->textBox39 = (gcnew System::Windows::Forms::TextBox());
			this->label37 = (gcnew System::Windows::Forms::Label());
			this->label38 = (gcnew System::Windows::Forms::Label());
			this->label39 = (gcnew System::Windows::Forms::Label());
			this->textBox40 = (gcnew System::Windows::Forms::TextBox());
			this->textBox41 = (gcnew System::Windows::Forms::TextBox());
			this->textBox42 = (gcnew System::Windows::Forms::TextBox());
			this->label40 = (gcnew System::Windows::Forms::Label());
			this->label41 = (gcnew System::Windows::Forms::Label());
			this->label42 = (gcnew System::Windows::Forms::Label());
			this->tabPage1 = (gcnew System::Windows::Forms::TabPage());
			this->groupBox1 = (gcnew System::Windows::Forms::GroupBox());
			this->button1 = (gcnew System::Windows::Forms::Button());
			this->checkBox1 = (gcnew System::Windows::Forms::CheckBox());
			this->checkBox2 = (gcnew System::Windows::Forms::CheckBox());
			this->groupBox2 = (gcnew System::Windows::Forms::GroupBox());
			this->button2 = (gcnew System::Windows::Forms::Button());
			this->textBox3 = (gcnew System::Windows::Forms::TextBox());
			this->textBox4 = (gcnew System::Windows::Forms::TextBox());
			this->textBox5 = (gcnew System::Windows::Forms::TextBox());
			this->label3 = (gcnew System::Windows::Forms::Label());
			this->label4 = (gcnew System::Windows::Forms::Label());
			this->label5 = (gcnew System::Windows::Forms::Label());
			this->textBox6 = (gcnew System::Windows::Forms::TextBox());
			this->textBox7 = (gcnew System::Windows::Forms::TextBox());
			this->textBox8 = (gcnew System::Windows::Forms::TextBox());
			this->label6 = (gcnew System::Windows::Forms::Label());
			this->label7 = (gcnew System::Windows::Forms::Label());
			this->label8 = (gcnew System::Windows::Forms::Label());
			this->groupBox3 = (gcnew System::Windows::Forms::GroupBox());
			this->button3 = (gcnew System::Windows::Forms::Button());
			this->textBox9 = (gcnew System::Windows::Forms::TextBox());
			this->textBox10 = (gcnew System::Windows::Forms::TextBox());
			this->label9 = (gcnew System::Windows::Forms::Label());
			this->label10 = (gcnew System::Windows::Forms::Label());
			this->textBox11 = (gcnew System::Windows::Forms::TextBox());
			this->textBox12 = (gcnew System::Windows::Forms::TextBox());
			this->textBox13 = (gcnew System::Windows::Forms::TextBox());
			this->label11 = (gcnew System::Windows::Forms::Label());
			this->label12 = (gcnew System::Windows::Forms::Label());
			this->label13 = (gcnew System::Windows::Forms::Label());
			this->textBox14 = (gcnew System::Windows::Forms::TextBox());
			this->textBox15 = (gcnew System::Windows::Forms::TextBox());
			this->textBox16 = (gcnew System::Windows::Forms::TextBox());
			this->label14 = (gcnew System::Windows::Forms::Label());
			this->label15 = (gcnew System::Windows::Forms::Label());
			this->label16 = (gcnew System::Windows::Forms::Label());
			this->btnReiniciar = (gcnew System::Windows::Forms::Button());
			this->btnAtualizar = (gcnew System::Windows::Forms::Button());
			this->menuStrip1 = (gcnew System::Windows::Forms::MenuStrip());
			this->menuToolStripMenuItem = (gcnew System::Windows::Forms::ToolStripMenuItem());
			this->iniciarToolStripMenuItem = (gcnew System::Windows::Forms::ToolStripMenuItem());
			this->sairToolStripMenuItem = (gcnew System::Windows::Forms::ToolStripSeparator());
			this->sairToolStripMenuItem1 = (gcnew System::Windows::Forms::ToolStripMenuItem());
			this->idiomaToolStripMenuItem = (gcnew System::Windows::Forms::ToolStripMenuItem());
			this->portugusToolStripMenuItem = (gcnew System::Windows::Forms::ToolStripMenuItem());
			this->inglsToolStripMenuItem = (gcnew System::Windows::Forms::ToolStripMenuItem());
			this->timer1 = (gcnew System::Windows::Forms::Timer(this->components));
			this->timer2 = (gcnew System::Windows::Forms::Timer(this->components));
			this->openFileDialog1 = (gcnew System::Windows::Forms::OpenFileDialog());
			this->tabControl1->SuspendLayout();
			this->tabPage2->SuspendLayout();
			this->tabPage5->SuspendLayout();
			this->groupBox13->SuspendLayout();
			this->groupBox14->SuspendLayout();
			this->groupBox15->SuspendLayout();
			this->tabPage6->SuspendLayout();
			this->groupBox11->SuspendLayout();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->pictureImagemInstantanea))->BeginInit();
			this->groupBox10->SuspendLayout();
			this->tabPage7->SuspendLayout();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->picturePropaganda))->BeginInit();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->dataGridViewPropaganda))->BeginInit();
			this->tabPage3->SuspendLayout();
			this->groupBox4->SuspendLayout();
			this->groupBox5->SuspendLayout();
			this->groupBox6->SuspendLayout();
			this->groupBox7->SuspendLayout();
			this->groupBox8->SuspendLayout();
			this->groupBox9->SuspendLayout();
			this->tabPage1->SuspendLayout();
			this->groupBox1->SuspendLayout();
			this->groupBox2->SuspendLayout();
			this->groupBox3->SuspendLayout();
			this->menuStrip1->SuspendLayout();
			this->SuspendLayout();
			// 
			// listTerminais
			// 
			this->listTerminais->FormattingEnabled = true;
			this->listTerminais->Location = System::Drawing::Point(12, 39);
			this->listTerminais->Name = L"listTerminais";
			this->listTerminais->Size = System::Drawing::Size(152, 407);
			this->listTerminais->TabIndex = 0;
			this->listTerminais->SelectedIndexChanged += gcnew System::EventHandler(this, &Form1::listTerminais_SelectedIndexChanged);
			// 
			// tabControl1
			// 
			this->tabControl1->Appearance = System::Windows::Forms::TabAppearance::FlatButtons;
			this->tabControl1->Controls->Add(this->tabPage2);
			this->tabControl1->Controls->Add(this->tabPage5);
			this->tabControl1->Controls->Add(this->tabPage6);
			this->tabControl1->Controls->Add(this->tabPage7);
			this->tabControl1->ItemSize = System::Drawing::Size(121, 21);
			this->tabControl1->Location = System::Drawing::Point(170, 39);
			this->tabControl1->Name = L"tabControl1";
			this->tabControl1->Padding = System::Drawing::Point(17, 3);
			this->tabControl1->SelectedIndex = 0;
			this->tabControl1->Size = System::Drawing::Size(562, 486);
			this->tabControl1->TabIndex = 1;
			// 
			// tabPage2
			// 
			this->tabPage2->BackColor = System::Drawing::Color::White;
			this->tabPage2->Controls->Add(this->textPrecoProduto);
			this->tabPage2->Controls->Add(this->textDescricaoProduto);
			this->tabPage2->Controls->Add(this->textCodigoBarras);
			this->tabPage2->Controls->Add(this->listMensagensRecebidas);
			this->tabPage2->Location = System::Drawing::Point(4, 25);
			this->tabPage2->Name = L"tabPage2";
			this->tabPage2->Padding = System::Windows::Forms::Padding(3);
			this->tabPage2->Size = System::Drawing::Size(554, 457);
			this->tabPage2->TabIndex = 1;
			this->tabPage2->Text = L"Mensagens Recebidas";
			// 
			// textPrecoProduto
			// 
			this->textPrecoProduto->Location = System::Drawing::Point(392, 412);
			this->textPrecoProduto->Name = L"textPrecoProduto";
			this->textPrecoProduto->Size = System::Drawing::Size(156, 20);
			this->textPrecoProduto->TabIndex = 3;
			this->textPrecoProduto->Text = L"R$ 1,00";
			// 
			// textDescricaoProduto
			// 
			this->textDescricaoProduto->Location = System::Drawing::Point(202, 412);
			this->textDescricaoProduto->Name = L"textDescricaoProduto";
			this->textDescricaoProduto->Size = System::Drawing::Size(156, 20);
			this->textDescricaoProduto->TabIndex = 2;
			this->textDescricaoProduto->Text = L"Maa";
			// 
			// textCodigoBarras
			// 
			this->textCodigoBarras->Location = System::Drawing::Point(6, 412);
			this->textCodigoBarras->Name = L"textCodigoBarras";
			this->textCodigoBarras->Size = System::Drawing::Size(157, 20);
			this->textCodigoBarras->TabIndex = 1;
			this->textCodigoBarras->Text = L"#1112223331119";
			// 
			// listMensagensRecebidas
			// 
			this->listMensagensRecebidas->FormattingEnabled = true;
			this->listMensagensRecebidas->Location = System::Drawing::Point(6, 6);
			this->listMensagensRecebidas->Name = L"listMensagensRecebidas";
			this->listMensagensRecebidas->Size = System::Drawing::Size(542, 381);
			this->listMensagensRecebidas->TabIndex = 0;
			// 
			// tabPage5
			// 
			this->tabPage5->BackColor = System::Drawing::Color::White;
			this->tabPage5->Controls->Add(this->groupBox13);
			this->tabPage5->Controls->Add(this->groupBox14);
			this->tabPage5->Controls->Add(this->groupBox15);
			this->tabPage5->Location = System::Drawing::Point(4, 25);
			this->tabPage5->Name = L"tabPage5";
			this->tabPage5->Padding = System::Windows::Forms::Padding(3);
			this->tabPage5->Size = System::Drawing::Size(554, 457);
			this->tabPage5->TabIndex = 2;
			this->tabPage5->Text = L"Configuraes de Rede";
			// 
			// groupBox13
			// 
			this->groupBox13->BackColor = System::Drawing::Color::White;
			this->groupBox13->Controls->Add(this->btnEnviarParametros);
			this->groupBox13->Controls->Add(this->checkBuscaServidor);
			this->groupBox13->Controls->Add(this->checkIPDinamico);
			this->groupBox13->Location = System::Drawing::Point(280, 325);
			this->groupBox13->Name = L"groupBox13";
			this->groupBox13->Size = System::Drawing::Size(267, 125);
			this->groupBox13->TabIndex = 47;
			this->groupBox13->TabStop = false;
			this->groupBox13->Text = L" Parmentros ";
			// 
			// btnEnviarParametros
			// 
			this->btnEnviarParametros->Location = System::Drawing::Point(61, 68);
			this->btnEnviarParametros->Name = L"btnEnviarParametros";
			this->btnEnviarParametros->Size = System::Drawing::Size(150, 32);
			this->btnEnviarParametros->TabIndex = 48;
			this->btnEnviarParametros->Text = L"Enviar";
			this->btnEnviarParametros->UseVisualStyleBackColor = true;
			this->btnEnviarParametros->Click += gcnew System::EventHandler(this, &Form1::btnEnviarParametros_Click);
			// 
			// checkBuscaServidor
			// 
			this->checkBuscaServidor->AutoSize = true;
			this->checkBuscaServidor->Location = System::Drawing::Point(135, 27);
			this->checkBuscaServidor->Name = L"checkBuscaServidor";
			this->checkBuscaServidor->Size = System::Drawing::Size(98, 17);
			this->checkBuscaServidor->TabIndex = 1;
			this->checkBuscaServidor->Text = L"Busca Servidor";
			this->checkBuscaServidor->UseVisualStyleBackColor = true;
			// 
			// checkIPDinamico
			// 
			this->checkIPDinamico->AutoSize = true;
			this->checkIPDinamico->Location = System::Drawing::Point(42, 27);
			this->checkIPDinamico->Name = L"checkIPDinamico";
			this->checkIPDinamico->Size = System::Drawing::Size(83, 17);
			this->checkIPDinamico->TabIndex = 0;
			this->checkIPDinamico->Text = L"IP Dinmico";
			this->checkIPDinamico->UseVisualStyleBackColor = true;
			// 
			// groupBox14
			// 
			this->groupBox14->BackColor = System::Drawing::Color::White;
			this->groupBox14->Controls->Add(this->btnEnviarExEtherNet);
			this->groupBox14->Controls->Add(this->textSenha);
			this->groupBox14->Controls->Add(this->textUsuario);
			this->groupBox14->Controls->Add(this->textFTPServidor);
			this->groupBox14->Controls->Add(this->label57);
			this->groupBox14->Controls->Add(this->label58);
			this->groupBox14->Controls->Add(this->label59);
			this->groupBox14->Controls->Add(this->textTCNome);
			this->groupBox14->Controls->Add(this->textServidorNomes);
			this->groupBox14->Controls->Add(this->textGateway);
			this->groupBox14->Controls->Add(this->label60);
			this->groupBox14->Controls->Add(this->label61);
			this->groupBox14->Controls->Add(this->label62);
			this->groupBox14->Location = System::Drawing::Point(280, 6);
			this->groupBox14->Name = L"groupBox14";
			this->groupBox14->Size = System::Drawing::Size(268, 313);
			this->groupBox14->TabIndex = 46;
			this->groupBox14->TabStop = false;
			this->groupBox14->Text = L" ExEtherNet ";
			// 
			// btnEnviarExEtherNet
			// 
			this->btnEnviarExEtherNet->Location = System::Drawing::Point(61, 258);
			this->btnEnviarExEtherNet->Name = L"btnEnviarExEtherNet";
			this->btnEnviarExEtherNet->Size = System::Drawing::Size(150, 32);
			this->btnEnviarExEtherNet->TabIndex = 47;
			this->btnEnviarExEtherNet->Text = L"Enviar";
			this->btnEnviarExEtherNet->UseVisualStyleBackColor = true;
			this->btnEnviarExEtherNet->Click += gcnew System::EventHandler(this, &Form1::btnEnviarExEtherNet_Click);
			// 
			// textSenha
			// 
			this->textSenha->Location = System::Drawing::Point(134, 212);
			this->textSenha->Name = L"textSenha";
			this->textSenha->Size = System::Drawing::Size(114, 20);
			this->textSenha->TabIndex = 41;
			// 
			// textUsuario
			// 
			this->textUsuario->Location = System::Drawing::Point(135, 174);
			this->textUsuario->Name = L"textUsuario";
			this->textUsuario->Size = System::Drawing::Size(114, 20);
			this->textUsuario->TabIndex = 40;
			// 
			// textFTPServidor
			// 
			this->textFTPServidor->Location = System::Drawing::Point(135, 139);
			this->textFTPServidor->Name = L"textFTPServidor";
			this->textFTPServidor->Size = System::Drawing::Size(114, 20);
			this->textFTPServidor->TabIndex = 39;
			// 
			// label57
			// 
			this->label57->AutoSize = true;
			this->label57->Location = System::Drawing::Point(75, 212);
			this->label57->Name = L"label57";
			this->label57->Size = System::Drawing::Size(47, 13);
			this->label57->TabIndex = 38;
			this->label57->Text = L"Senha : ";
			// 
			// label58
			// 
			this->label58->AutoSize = true;
			this->label58->Location = System::Drawing::Point(70, 174);
			this->label58->Name = L"label58";
			this->label58->Size = System::Drawing::Size(52, 13);
			this->label58->TabIndex = 37;
			this->label58->Text = L"Usurio : ";
			// 
			// label59
			// 
			this->label59->AutoSize = true;
			this->label59->Location = System::Drawing::Point(44, 139);
			this->label59->Name = L"label59";
			this->label59->Size = System::Drawing::Size(78, 13);
			this->label59->TabIndex = 36;
			this->label59->Text = L"FTP Servidor : ";
			// 
			// textTCNome
			// 
			this->textTCNome->Location = System::Drawing::Point(135, 100);
			this->textTCNome->Name = L"textTCNome";
			this->textTCNome->Size = System::Drawing::Size(114, 20);
			this->textTCNome->TabIndex = 35;
			// 
			// textServidorNomes
			// 
			this->textServidorNomes->Location = System::Drawing::Point(134, 62);
			this->textServidorNomes->Name = L"textServidorNomes";
			this->textServidorNomes->Size = System::Drawing::Size(114, 20);
			this->textServidorNomes->TabIndex = 34;
			// 
			// textGateway
			// 
			this->textGateway->Location = System::Drawing::Point(134, 27);
			this->textGateway->Name = L"textGateway";
			this->textGateway->Size = System::Drawing::Size(114, 20);
			this->textGateway->TabIndex = 33;
			// 
			// label60
			// 
			this->label60->AutoSize = true;
			this->label60->Location = System::Drawing::Point(78, 100);
			this->label60->Name = L"label60";
			this->label60->Size = System::Drawing::Size(44, 13);
			this->label60->TabIndex = 32;
			this->label60->Text = L"Nome : ";
			// 
			// label61
			// 
			this->label61->AutoSize = true;
			this->label61->Location = System::Drawing::Point(16, 62);
			this->label61->Name = L"label61";
			this->label61->Size = System::Drawing::Size(106, 13);
			this->label61->TabIndex = 31;
			this->label61->Text = L"Servidor de Nomes : ";
			// 
			// label62
			// 
			this->label62->AutoSize = true;
			this->label62->Location = System::Drawing::Point(64, 27);
			this->label62->Name = L"label62";
			this->label62->Size = System::Drawing::Size(58, 13);
			this->label62->TabIndex = 30;
			this->label62->Text = L"Gateway : ";
			// 
			// groupBox15
			// 
			this->groupBox15->BackColor = System::Drawing::Color::White;
			this->groupBox15->Controls->Add(this->btnEnviarEtherNet);
			this->groupBox15->Controls->Add(this->textExibicao1);
			this->groupBox15->Controls->Add(this->textTexto4);
			this->groupBox15->Controls->Add(this->label63);
			this->groupBox15->Controls->Add(this->label64);
			this->groupBox15->Controls->Add(this->textTexto3);
			this->groupBox15->Controls->Add(this->textTexto2);
			this->groupBox15->Controls->Add(this->textTexto1);
			this->groupBox15->Controls->Add(this->label65);
			this->groupBox15->Controls->Add(this->label66);
			this->groupBox15->Controls->Add(this->label67);
			this->groupBox15->Controls->Add(this->textMascaraRede);
			this->groupBox15->Controls->Add(this->textIPTerminal);
			this->groupBox15->Controls->Add(this->textIPServidor);
			this->groupBox15->Controls->Add(this->label68);
			this->groupBox15->Controls->Add(this->label69);
			this->groupBox15->Controls->Add(this->label70);
			this->groupBox15->Location = System::Drawing::Point(6, 6);
			this->groupBox15->Name = L"groupBox15";
			this->groupBox15->Size = System::Drawing::Size(268, 444);
			this->groupBox15->TabIndex = 9;
			this->groupBox15->TabStop = false;
			this->groupBox15->Text = L" EtherNet ";
			// 
			// btnEnviarEtherNet
			// 
			this->btnEnviarEtherNet->Location = System::Drawing::Point(57, 365);
			this->btnEnviarEtherNet->Name = L"btnEnviarEtherNet";
			this->btnEnviarEtherNet->Size = System::Drawing::Size(150, 32);
			this->btnEnviarEtherNet->TabIndex = 46;
			this->btnEnviarEtherNet->Text = L"Enviar";
			this->btnEnviarEtherNet->UseVisualStyleBackColor = true;
			this->btnEnviarEtherNet->Click += gcnew System::EventHandler(this, &Form1::btnEnviarEtherNet_Click);
			// 
			// textExibicao1
			// 
			this->textExibicao1->Location = System::Drawing::Point(131, 307);
			this->textExibicao1->Name = L"textExibicao1";
			this->textExibicao1->Size = System::Drawing::Size(114, 20);
			this->textExibicao1->TabIndex = 45;
			this->textExibicao1->Text = L"3";
			// 
			// textTexto4
			// 
			this->textTexto4->Location = System::Drawing::Point(131, 272);
			this->textTexto4->Name = L"textTexto4";
			this->textTexto4->Size = System::Drawing::Size(114, 20);
			this->textTexto4->TabIndex = 44;
			this->textTexto4->Text = L"Texto 4";
			// 
			// label63
			// 
			this->label63->AutoSize = true;
			this->label63->Location = System::Drawing::Point(14, 307);
			this->label63->Name = L"label63";
			this->label63->Size = System::Drawing::Size(107, 13);
			this->label63->TabIndex = 43;
			this->label63->Text = L"Tempo de Exibio : ";
			// 
			// label64
			// 
			this->label64->AutoSize = true;
			this->label64->Location = System::Drawing::Point(72, 272);
			this->label64->Name = L"label64";
			this->label64->Size = System::Drawing::Size(49, 13);
			this->label64->TabIndex = 42;
			this->label64->Text = L"Texto 4 :";
			// 
			// textTexto3
			// 
			this->textTexto3->Location = System::Drawing::Point(131, 233);
			this->textTexto3->Name = L"textTexto3";
			this->textTexto3->Size = System::Drawing::Size(114, 20);
			this->textTexto3->TabIndex = 41;
			this->textTexto3->Text = L"Texto 3";
			// 
			// textTexto2
			// 
			this->textTexto2->Location = System::Drawing::Point(132, 195);
			this->textTexto2->Name = L"textTexto2";
			this->textTexto2->Size = System::Drawing::Size(114, 20);
			this->textTexto2->TabIndex = 40;
			this->textTexto2->Text = L"Texto 2";
			// 
			// textTexto1
			// 
			this->textTexto1->Location = System::Drawing::Point(132, 160);
			this->textTexto1->Name = L"textTexto1";
			this->textTexto1->Size = System::Drawing::Size(114, 20);
			this->textTexto1->TabIndex = 39;
			this->textTexto1->Text = L"Texto 1";
			// 
			// label65
			// 
			this->label65->AutoSize = true;
			this->label65->Location = System::Drawing::Point(72, 233);
			this->label65->Name = L"label65";
			this->label65->Size = System::Drawing::Size(49, 13);
			this->label65->TabIndex = 38;
			this->label65->Text = L"Texto 3 :";
			// 
			// label66
			// 
			this->label66->AutoSize = true;
			this->label66->Location = System::Drawing::Point(72, 195);
			this->label66->Name = L"label66";
			this->label66->Size = System::Drawing::Size(49, 13);
			this->label66->TabIndex = 37;
			this->label66->Text = L"Texto 2 :";
			// 
			// label67
			// 
			this->label67->AutoSize = true;
			this->label67->Location = System::Drawing::Point(69, 160);
			this->label67->Name = L"label67";
			this->label67->Size = System::Drawing::Size(52, 13);
			this->label67->TabIndex = 36;
			this->label67->Text = L"Texto 1 : ";
			// 
			// textMascaraRede
			// 
			this->textMascaraRede->Location = System::Drawing::Point(132, 121);
			this->textMascaraRede->Name = L"textMascaraRede";
			this->textMascaraRede->Size = System::Drawing::Size(114, 20);
			this->textMascaraRede->TabIndex = 35;
			// 
			// textIPTerminal
			// 
			this->textIPTerminal->Location = System::Drawing::Point(131, 83);
			this->textIPTerminal->Name = L"textIPTerminal";
			this->textIPTerminal->Size = System::Drawing::Size(114, 20);
			this->textIPTerminal->TabIndex = 34;
			// 
			// textIPServidor
			// 
			this->textIPServidor->Location = System::Drawing::Point(131, 48);
			this->textIPServidor->Name = L"textIPServidor";
			this->textIPServidor->Size = System::Drawing::Size(114, 20);
			this->textIPServidor->TabIndex = 33;
			// 
			// label68
			// 
			this->label68->AutoSize = true;
			this->label68->Location = System::Drawing::Point(20, 121);
			this->label68->Name = L"label68";
			this->label68->Size = System::Drawing::Size(101, 13);
			this->label68->TabIndex = 32;
			this->label68->Text = L"Mscara de Rede : ";
			// 
			// label69
			// 
			this->label69->AutoSize = true;
			this->label69->Location = System::Drawing::Point(52, 83);
			this->label69->Name = L"label69";
			this->label69->Size = System::Drawing::Size(69, 13);
			this->label69->TabIndex = 31;
			this->label69->Text = L"IP Terminal : ";
			// 
			// label70
			// 
			this->label70->AutoSize = true;
			this->label70->Location = System::Drawing::Point(52, 46);
			this->label70->Name = L"label70";
			this->label70->Size = System::Drawing::Size(68, 13);
			this->label70->TabIndex = 30;
			this->label70->Text = L"IP Servidor : ";
			// 
			// tabPage6
			// 
			this->tabPage6->BackColor = System::Drawing::Color::White;
			this->tabPage6->Controls->Add(this->groupBox11);
			this->tabPage6->Controls->Add(this->groupBox10);
			this->tabPage6->Location = System::Drawing::Point(4, 25);
			this->tabPage6->Name = L"tabPage6";
			this->tabPage6->Padding = System::Windows::Forms::Padding(3);
			this->tabPage6->Size = System::Drawing::Size(554, 457);
			this->tabPage6->TabIndex = 3;
			this->tabPage6->Text = L"Mensagens Instantneas";
			// 
			// groupBox11
			// 
			this->groupBox11->BackColor = System::Drawing::Color::White;
			this->groupBox11->Controls->Add(this->pictureImagemInstantanea);
			this->groupBox11->Controls->Add(this->btnEnviarImagemInstantanea);
			this->groupBox11->Location = System::Drawing::Point(280, 115);
			this->groupBox11->Name = L"groupBox11";
			this->groupBox11->Size = System::Drawing::Size(268, 230);
			this->groupBox11->TabIndex = 54;
			this->groupBox11->TabStop = false;
			this->groupBox11->Text = L" Imagem Instantnea ";
			// 
			// pictureImagemInstantanea
			// 
			this->pictureImagemInstantanea->Image = (cli::safe_cast<System::Drawing::Image^  >(resources->GetObject(L"pictureImagemInstantanea.Image")));
			this->pictureImagemInstantanea->Location = System::Drawing::Point(32, 37);
			this->pictureImagemInstantanea->Name = L"pictureImagemInstantanea";
			this->pictureImagemInstantanea->Size = System::Drawing::Size(201, 101);
			this->pictureImagemInstantanea->SizeMode = System::Windows::Forms::PictureBoxSizeMode::Zoom;
			this->pictureImagemInstantanea->TabIndex = 54;
			this->pictureImagemInstantanea->TabStop = false;
			this->pictureImagemInstantanea->DoubleClick += gcnew System::EventHandler(this, &Form1::pictureImagemInstantanea_DoubleClick);
			// 
			// btnEnviarImagemInstantanea
			// 
			this->btnEnviarImagemInstantanea->Location = System::Drawing::Point(58, 169);
			this->btnEnviarImagemInstantanea->Name = L"btnEnviarImagemInstantanea";
			this->btnEnviarImagemInstantanea->Size = System::Drawing::Size(150, 32);
			this->btnEnviarImagemInstantanea->TabIndex = 53;
			this->btnEnviarImagemInstantanea->Text = L"Enviar";
			this->btnEnviarImagemInstantanea->UseVisualStyleBackColor = true;
			this->btnEnviarImagemInstantanea->Click += gcnew System::EventHandler(this, &Form1::btnEnviarImagemInstantanea_Click);
			// 
			// groupBox10
			// 
			this->groupBox10->BackColor = System::Drawing::Color::White;
			this->groupBox10->Controls->Add(this->btnEnviarTextoInstantaneo);
			this->groupBox10->Controls->Add(this->textExibicao2);
			this->groupBox10->Controls->Add(this->textLinha2);
			this->groupBox10->Controls->Add(this->label43);
			this->groupBox10->Controls->Add(this->label44);
			this->groupBox10->Controls->Add(this->textLinha1);
			this->groupBox10->Controls->Add(this->label45);
			this->groupBox10->Location = System::Drawing::Point(6, 115);
			this->groupBox10->Name = L"groupBox10";
			this->groupBox10->Size = System::Drawing::Size(268, 230);
			this->groupBox10->TabIndex = 0;
			this->groupBox10->TabStop = false;
			this->groupBox10->Text = L" Texto Instantneo ";
			// 
			// btnEnviarTextoInstantaneo
			// 
			this->btnEnviarTextoInstantaneo->Location = System::Drawing::Point(58, 169);
			this->btnEnviarTextoInstantaneo->Name = L"btnEnviarTextoInstantaneo";
			this->btnEnviarTextoInstantaneo->Size = System::Drawing::Size(150, 32);
			this->btnEnviarTextoInstantaneo->TabIndex = 53;
			this->btnEnviarTextoInstantaneo->Text = L"Enviar";
			this->btnEnviarTextoInstantaneo->UseVisualStyleBackColor = true;
			this->btnEnviarTextoInstantaneo->Click += gcnew System::EventHandler(this, &Form1::btnEnviarTextoInstantaneo_Click);
			// 
			// textExibicao2
			// 
			this->textExibicao2->Location = System::Drawing::Point(132, 111);
			this->textExibicao2->Name = L"textExibicao2";
			this->textExibicao2->Size = System::Drawing::Size(114, 20);
			this->textExibicao2->TabIndex = 52;
			this->textExibicao2->Text = L"5";
			// 
			// textLinha2
			// 
			this->textLinha2->Location = System::Drawing::Point(132, 76);
			this->textLinha2->Name = L"textLinha2";
			this->textLinha2->Size = System::Drawing::Size(114, 20);
			this->textLinha2->TabIndex = 51;
			this->textLinha2->Text = L"Prefira Gertec !!!";
			// 
			// label43
			// 
			this->label43->AutoSize = true;
			this->label43->Location = System::Drawing::Point(10, 111);
			this->label43->Name = L"label43";
			this->label43->Size = System::Drawing::Size(107, 13);
			this->label43->TabIndex = 50;
			this->label43->Text = L"Tempo de Exibio : ";
			// 
			// label44
			// 
			this->label44->AutoSize = true;
			this->label44->Location = System::Drawing::Point(69, 76);
			this->label44->Name = L"label44";
			this->label44->Size = System::Drawing::Size(48, 13);
			this->label44->TabIndex = 49;
			this->label44->Text = L"Linha 2 :";
			// 
			// textLinha1
			// 
			this->textLinha1->Location = System::Drawing::Point(132, 37);
			this->textLinha1->Name = L"textLinha1";
			this->textLinha1->Size = System::Drawing::Size(114, 20);
			this->textLinha1->TabIndex = 48;
			this->textLinha1->Text = L"Terminais de Consulta";
			// 
			// label45
			// 
			this->label45->AutoSize = true;
			this->label45->Location = System::Drawing::Point(69, 37);
			this->label45->Name = L"label45";
			this->label45->Size = System::Drawing::Size(51, 13);
			this->label45->TabIndex = 47;
			this->label45->Text = L"Linha 1 : ";
			// 
			// tabPage7
			// 
			this->tabPage7->BackColor = System::Drawing::SystemColors::Window;
			this->tabPage7->Controls->Add(this->picturePropaganda);
			this->tabPage7->Controls->Add(this->btnApagarPropaganda);
			this->tabPage7->Controls->Add(this->btnAdicionarPropaganda);
			this->tabPage7->Controls->Add(this->btnEnviarPropaganda);
			this->tabPage7->Controls->Add(this->dataGridViewPropaganda);
			this->tabPage7->Location = System::Drawing::Point(4, 25);
			this->tabPage7->Name = L"tabPage7";
			this->tabPage7->Padding = System::Windows::Forms::Padding(3);
			this->tabPage7->Size = System::Drawing::Size(554, 457);
			this->tabPage7->TabIndex = 4;
			this->tabPage7->Text = L"Imagens";
			// 
			// picturePropaganda
			// 
			this->picturePropaganda->Location = System::Drawing::Point(305, 43);
			this->picturePropaganda->Name = L"picturePropaganda";
			this->picturePropaganda->Size = System::Drawing::Size(243, 170);
			this->picturePropaganda->SizeMode = System::Windows::Forms::PictureBoxSizeMode::Zoom;
			this->picturePropaganda->TabIndex = 57;
			this->picturePropaganda->TabStop = false;
			// 
			// btnApagarPropaganda
			// 
			this->btnApagarPropaganda->Location = System::Drawing::Point(431, 286);
			this->btnApagarPropaganda->Name = L"btnApagarPropaganda";
			this->btnApagarPropaganda->Size = System::Drawing::Size(117, 32);
			this->btnApagarPropaganda->TabIndex = 55;
			this->btnApagarPropaganda->Text = L"Apagar";
			this->btnApagarPropaganda->UseVisualStyleBackColor = true;
			this->btnApagarPropaganda->Click += gcnew System::EventHandler(this, &Form1::btnApagarPropaganda_Click);
			// 
			// btnAdicionarPropaganda
			// 
			this->btnAdicionarPropaganda->Location = System::Drawing::Point(305, 286);
			this->btnAdicionarPropaganda->Name = L"btnAdicionarPropaganda";
			this->btnAdicionarPropaganda->Size = System::Drawing::Size(117, 32);
			this->btnAdicionarPropaganda->TabIndex = 54;
			this->btnAdicionarPropaganda->Text = L"Adicionar";
			this->btnAdicionarPropaganda->UseVisualStyleBackColor = true;
			this->btnAdicionarPropaganda->Click += gcnew System::EventHandler(this, &Form1::btnAdicionarPropaganda_Click);
			// 
			// btnEnviarPropaganda
			// 
			this->btnEnviarPropaganda->Location = System::Drawing::Point(305, 353);
			this->btnEnviarPropaganda->Name = L"btnEnviarPropaganda";
			this->btnEnviarPropaganda->Size = System::Drawing::Size(243, 32);
			this->btnEnviarPropaganda->TabIndex = 51;
			this->btnEnviarPropaganda->Text = L"Enviar";
			this->btnEnviarPropaganda->UseVisualStyleBackColor = true;
			this->btnEnviarPropaganda->Click += gcnew System::EventHandler(this, &Form1::btnEnviarPropaganda_Click);
			// 
			// dataGridViewPropaganda
			// 
			this->dataGridViewPropaganda->BackgroundColor = System::Drawing::SystemColors::ButtonHighlight;
			this->dataGridViewPropaganda->BorderStyle = System::Windows::Forms::BorderStyle::Fixed3D;
			this->dataGridViewPropaganda->ColumnHeadersHeightSizeMode = System::Windows::Forms::DataGridViewColumnHeadersHeightSizeMode::AutoSize;
			this->dataGridViewPropaganda->Columns->AddRange(gcnew cli::array< System::Windows::Forms::DataGridViewColumn^  >(3) {this->ColunaNome, 
				this->ColunaLoop, this->ColunaPausa});
			this->dataGridViewPropaganda->Location = System::Drawing::Point(6, 6);
			this->dataGridViewPropaganda->Name = L"dataGridViewPropaganda";
			this->dataGridViewPropaganda->Size = System::Drawing::Size(293, 448);
			this->dataGridViewPropaganda->TabIndex = 0;
			this->dataGridViewPropaganda->CellDoubleClick += gcnew System::Windows::Forms::DataGridViewCellEventHandler(this, &Form1::dataGridViewPropaganda_CellDoubleClick);
			this->dataGridViewPropaganda->CellContentClick += gcnew System::Windows::Forms::DataGridViewCellEventHandler(this, &Form1::dataGridViewPropaganda_CellContentClick);
			// 
			// ColunaNome
			// 
			this->ColunaNome->HeaderText = L"Nome do Arquivo";
			this->ColunaNome->Name = L"ColunaNome";
			this->ColunaNome->Width = 150;
			// 
			// ColunaLoop
			// 
			this->ColunaLoop->HeaderText = L"Loop";
			this->ColunaLoop->Name = L"ColunaLoop";
			this->ColunaLoop->Width = 50;
			// 
			// ColunaPausa
			// 
			this->ColunaPausa->HeaderText = L"Pausa";
			this->ColunaPausa->Name = L"ColunaPausa";
			this->ColunaPausa->Width = 50;
			// 
			// tabPage3
			// 
			this->tabPage3->Controls->Add(this->groupBox4);
			this->tabPage3->Controls->Add(this->groupBox5);
			this->tabPage3->Controls->Add(this->groupBox6);
			this->tabPage3->Location = System::Drawing::Point(4, 22);
			this->tabPage3->Name = L"tabPage3";
			this->tabPage3->Padding = System::Windows::Forms::Padding(3);
			this->tabPage3->Size = System::Drawing::Size(554, 460);
			this->tabPage3->TabIndex = 0;
			this->tabPage3->Text = L"Rede";
			this->tabPage3->UseVisualStyleBackColor = true;
			// 
			// groupBox4
			// 
			this->groupBox4->Controls->Add(this->button4);
			this->groupBox4->Controls->Add(this->checkBox3);
			this->groupBox4->Controls->Add(this->checkBox4);
			this->groupBox4->Location = System::Drawing::Point(280, 325);
			this->groupBox4->Name = L"groupBox4";
			this->groupBox4->Size = System::Drawing::Size(267, 125);
			this->groupBox4->TabIndex = 47;
			this->groupBox4->TabStop = false;
			this->groupBox4->Text = L"groupBox4";
			// 
			// button4
			// 
			this->button4->Location = System::Drawing::Point(61, 68);
			this->button4->Name = L"button4";
			this->button4->Size = System::Drawing::Size(150, 32);
			this->button4->TabIndex = 48;
			this->button4->Text = L"Enviar";
			this->button4->UseVisualStyleBackColor = true;
			// 
			// checkBox3
			// 
			this->checkBox3->AutoSize = true;
			this->checkBox3->Location = System::Drawing::Point(135, 27);
			this->checkBox3->Name = L"checkBox3";
			this->checkBox3->Size = System::Drawing::Size(98, 17);
			this->checkBox3->TabIndex = 1;
			this->checkBox3->Text = L"Busca Servidor";
			this->checkBox3->UseVisualStyleBackColor = true;
			// 
			// checkBox4
			// 
			this->checkBox4->AutoSize = true;
			this->checkBox4->Location = System::Drawing::Point(42, 27);
			this->checkBox4->Name = L"checkBox4";
			this->checkBox4->Size = System::Drawing::Size(83, 17);
			this->checkBox4->TabIndex = 0;
			this->checkBox4->Text = L"IP Dinmico";
			this->checkBox4->UseVisualStyleBackColor = true;
			// 
			// groupBox5
			// 
			this->groupBox5->Controls->Add(this->button5);
			this->groupBox5->Controls->Add(this->textBox1);
			this->groupBox5->Controls->Add(this->textBox2);
			this->groupBox5->Controls->Add(this->textBox17);
			this->groupBox5->Controls->Add(this->label1);
			this->groupBox5->Controls->Add(this->label2);
			this->groupBox5->Controls->Add(this->label17);
			this->groupBox5->Controls->Add(this->textBox18);
			this->groupBox5->Controls->Add(this->textBox19);
			this->groupBox5->Controls->Add(this->textBox20);
			this->groupBox5->Controls->Add(this->label18);
			this->groupBox5->Controls->Add(this->label19);
			this->groupBox5->Controls->Add(this->label20);
			this->groupBox5->Location = System::Drawing::Point(280, 6);
			this->groupBox5->Name = L"groupBox5";
			this->groupBox5->Size = System::Drawing::Size(268, 313);
			this->groupBox5->TabIndex = 46;
			this->groupBox5->TabStop = false;
			this->groupBox5->Text = L" ExEtherNet ";
			// 
			// button5
			// 
			this->button5->Location = System::Drawing::Point(61, 258);
			this->button5->Name = L"button5";
			this->button5->Size = System::Drawing::Size(150, 32);
			this->button5->TabIndex = 47;
			this->button5->Text = L"Enviar";
			this->button5->UseVisualStyleBackColor = true;
			// 
			// textBox1
			// 
			this->textBox1->Location = System::Drawing::Point(134, 212);
			this->textBox1->Name = L"textBox1";
			this->textBox1->Size = System::Drawing::Size(114, 20);
			this->textBox1->TabIndex = 41;
			// 
			// textBox2
			// 
			this->textBox2->Location = System::Drawing::Point(135, 174);
			this->textBox2->Name = L"textBox2";
			this->textBox2->Size = System::Drawing::Size(114, 20);
			this->textBox2->TabIndex = 40;
			// 
			// textBox17
			// 
			this->textBox17->Location = System::Drawing::Point(135, 139);
			this->textBox17->Name = L"textBox17";
			this->textBox17->Size = System::Drawing::Size(114, 20);
			this->textBox17->TabIndex = 39;
			// 
			// label1
			// 
			this->label1->AutoSize = true;
			this->label1->Location = System::Drawing::Point(75, 212);
			this->label1->Name = L"label1";
			this->label1->Size = System::Drawing::Size(47, 13);
			this->label1->TabIndex = 38;
			this->label1->Text = L"Senha : ";
			// 
			// label2
			// 
			this->label2->AutoSize = true;
			this->label2->Location = System::Drawing::Point(70, 174);
			this->label2->Name = L"label2";
			this->label2->Size = System::Drawing::Size(52, 13);
			this->label2->TabIndex = 37;
			this->label2->Text = L"Usurio : ";
			// 
			// label17
			// 
			this->label17->AutoSize = true;
			this->label17->Location = System::Drawing::Point(44, 139);
			this->label17->Name = L"label17";
			this->label17->Size = System::Drawing::Size(78, 13);
			this->label17->TabIndex = 36;
			this->label17->Text = L"FTP Servidor : ";
			// 
			// textBox18
			// 
			this->textBox18->Location = System::Drawing::Point(135, 100);
			this->textBox18->Name = L"textBox18";
			this->textBox18->Size = System::Drawing::Size(114, 20);
			this->textBox18->TabIndex = 35;
			// 
			// textBox19
			// 
			this->textBox19->Location = System::Drawing::Point(134, 62);
			this->textBox19->Name = L"textBox19";
			this->textBox19->Size = System::Drawing::Size(114, 20);
			this->textBox19->TabIndex = 34;
			// 
			// textBox20
			// 
			this->textBox20->Location = System::Drawing::Point(134, 27);
			this->textBox20->Name = L"textBox20";
			this->textBox20->Size = System::Drawing::Size(114, 20);
			this->textBox20->TabIndex = 33;
			// 
			// label18
			// 
			this->label18->AutoSize = true;
			this->label18->Location = System::Drawing::Point(78, 100);
			this->label18->Name = L"label18";
			this->label18->Size = System::Drawing::Size(44, 13);
			this->label18->TabIndex = 32;
			this->label18->Text = L"Nome : ";
			// 
			// label19
			// 
			this->label19->AutoSize = true;
			this->label19->Location = System::Drawing::Point(16, 62);
			this->label19->Name = L"label19";
			this->label19->Size = System::Drawing::Size(106, 13);
			this->label19->TabIndex = 31;
			this->label19->Text = L"Servidor de Nomes : ";
			// 
			// label20
			// 
			this->label20->AutoSize = true;
			this->label20->Location = System::Drawing::Point(64, 27);
			this->label20->Name = L"label20";
			this->label20->Size = System::Drawing::Size(58, 13);
			this->label20->TabIndex = 30;
			this->label20->Text = L"Gateway : ";
			// 
			// groupBox6
			// 
			this->groupBox6->Controls->Add(this->button6);
			this->groupBox6->Controls->Add(this->textBox21);
			this->groupBox6->Controls->Add(this->textBox22);
			this->groupBox6->Controls->Add(this->label21);
			this->groupBox6->Controls->Add(this->label22);
			this->groupBox6->Controls->Add(this->textBox23);
			this->groupBox6->Controls->Add(this->textBox24);
			this->groupBox6->Controls->Add(this->textBox25);
			this->groupBox6->Controls->Add(this->label23);
			this->groupBox6->Controls->Add(this->label24);
			this->groupBox6->Controls->Add(this->label25);
			this->groupBox6->Controls->Add(this->textBox26);
			this->groupBox6->Controls->Add(this->textBox27);
			this->groupBox6->Controls->Add(this->textBox28);
			this->groupBox6->Controls->Add(this->label26);
			this->groupBox6->Controls->Add(this->label27);
			this->groupBox6->Controls->Add(this->label28);
			this->groupBox6->Location = System::Drawing::Point(6, 6);
			this->groupBox6->Name = L"groupBox6";
			this->groupBox6->Size = System::Drawing::Size(268, 444);
			this->groupBox6->TabIndex = 9;
			this->groupBox6->TabStop = false;
			this->groupBox6->Text = L" EtherNet ";
			// 
			// button6
			// 
			this->button6->Location = System::Drawing::Point(57, 365);
			this->button6->Name = L"button6";
			this->button6->Size = System::Drawing::Size(150, 32);
			this->button6->TabIndex = 46;
			this->button6->Text = L"Enviar";
			this->button6->UseVisualStyleBackColor = true;
			// 
			// textBox21
			// 
			this->textBox21->Location = System::Drawing::Point(131, 307);
			this->textBox21->Name = L"textBox21";
			this->textBox21->Size = System::Drawing::Size(114, 20);
			this->textBox21->TabIndex = 45;
			// 
			// textBox22
			// 
			this->textBox22->Location = System::Drawing::Point(131, 272);
			this->textBox22->Name = L"textBox22";
			this->textBox22->Size = System::Drawing::Size(114, 20);
			this->textBox22->TabIndex = 44;
			// 
			// label21
			// 
			this->label21->AutoSize = true;
			this->label21->Location = System::Drawing::Point(14, 307);
			this->label21->Name = L"label21";
			this->label21->Size = System::Drawing::Size(107, 13);
			this->label21->TabIndex = 43;
			this->label21->Text = L"Tempo de Exibio : ";
			// 
			// label22
			// 
			this->label22->AutoSize = true;
			this->label22->Location = System::Drawing::Point(72, 272);
			this->label22->Name = L"label22";
			this->label22->Size = System::Drawing::Size(49, 13);
			this->label22->TabIndex = 42;
			this->label22->Text = L"Texto 4 :";
			// 
			// textBox23
			// 
			this->textBox23->Location = System::Drawing::Point(131, 233);
			this->textBox23->Name = L"textBox23";
			this->textBox23->Size = System::Drawing::Size(114, 20);
			this->textBox23->TabIndex = 41;
			// 
			// textBox24
			// 
			this->textBox24->Location = System::Drawing::Point(132, 195);
			this->textBox24->Name = L"textBox24";
			this->textBox24->Size = System::Drawing::Size(114, 20);
			this->textBox24->TabIndex = 40;
			// 
			// textBox25
			// 
			this->textBox25->Location = System::Drawing::Point(132, 160);
			this->textBox25->Name = L"textBox25";
			this->textBox25->Size = System::Drawing::Size(114, 20);
			this->textBox25->TabIndex = 39;
			// 
			// label23
			// 
			this->label23->AutoSize = true;
			this->label23->Location = System::Drawing::Point(72, 233);
			this->label23->Name = L"label23";
			this->label23->Size = System::Drawing::Size(49, 13);
			this->label23->TabIndex = 38;
			this->label23->Text = L"Texto 3 :";
			// 
			// label24
			// 
			this->label24->AutoSize = true;
			this->label24->Location = System::Drawing::Point(72, 195);
			this->label24->Name = L"label24";
			this->label24->Size = System::Drawing::Size(49, 13);
			this->label24->TabIndex = 37;
			this->label24->Text = L"Texto 2 :";
			// 
			// label25
			// 
			this->label25->AutoSize = true;
			this->label25->Location = System::Drawing::Point(69, 160);
			this->label25->Name = L"label25";
			this->label25->Size = System::Drawing::Size(52, 13);
			this->label25->TabIndex = 36;
			this->label25->Text = L"Texto 1 : ";
			// 
			// textBox26
			// 
			this->textBox26->Location = System::Drawing::Point(132, 121);
			this->textBox26->Name = L"textBox26";
			this->textBox26->Size = System::Drawing::Size(114, 20);
			this->textBox26->TabIndex = 35;
			// 
			// textBox27
			// 
			this->textBox27->Location = System::Drawing::Point(131, 83);
			this->textBox27->Name = L"textBox27";
			this->textBox27->Size = System::Drawing::Size(114, 20);
			this->textBox27->TabIndex = 34;
			// 
			// textBox28
			// 
			this->textBox28->Location = System::Drawing::Point(131, 48);
			this->textBox28->Name = L"textBox28";
			this->textBox28->Size = System::Drawing::Size(114, 20);
			this->textBox28->TabIndex = 33;
			// 
			// label26
			// 
			this->label26->AutoSize = true;
			this->label26->Location = System::Drawing::Point(20, 121);
			this->label26->Name = L"label26";
			this->label26->Size = System::Drawing::Size(101, 13);
			this->label26->TabIndex = 32;
			this->label26->Text = L"Mscara de Rede : ";
			// 
			// label27
			// 
			this->label27->AutoSize = true;
			this->label27->Location = System::Drawing::Point(52, 83);
			this->label27->Name = L"label27";
			this->label27->Size = System::Drawing::Size(69, 13);
			this->label27->TabIndex = 31;
			this->label27->Text = L"IP Terminal : ";
			// 
			// label28
			// 
			this->label28->AutoSize = true;
			this->label28->Location = System::Drawing::Point(53, 48);
			this->label28->Name = L"label28";
			this->label28->Size = System::Drawing::Size(68, 13);
			this->label28->TabIndex = 30;
			this->label28->Text = L"IP Servidor : ";
			// 
			// tabPage4
			// 
			this->tabPage4->Location = System::Drawing::Point(4, 22);
			this->tabPage4->Name = L"tabPage4";
			this->tabPage4->Padding = System::Windows::Forms::Padding(3);
			this->tabPage4->Size = System::Drawing::Size(554, 460);
			this->tabPage4->TabIndex = 1;
			this->tabPage4->Text = L"tabPage2";
			this->tabPage4->UseVisualStyleBackColor = true;
			// 
			// groupBox7
			// 
			this->groupBox7->Controls->Add(this->button7);
			this->groupBox7->Controls->Add(this->checkBox5);
			this->groupBox7->Controls->Add(this->checkBox6);
			this->groupBox7->Location = System::Drawing::Point(280, 325);
			this->groupBox7->Name = L"groupBox7";
			this->groupBox7->Size = System::Drawing::Size(267, 125);
			this->groupBox7->TabIndex = 47;
			this->groupBox7->TabStop = false;
			this->groupBox7->Text = L"groupBox3";
			// 
			// button7
			// 
			this->button7->Location = System::Drawing::Point(61, 68);
			this->button7->Name = L"button7";
			this->button7->Size = System::Drawing::Size(150, 32);
			this->button7->TabIndex = 48;
			this->button7->Text = L"Enviar";
			this->button7->UseVisualStyleBackColor = true;
			// 
			// checkBox5
			// 
			this->checkBox5->AutoSize = true;
			this->checkBox5->Location = System::Drawing::Point(135, 27);
			this->checkBox5->Name = L"checkBox5";
			this->checkBox5->Size = System::Drawing::Size(98, 17);
			this->checkBox5->TabIndex = 1;
			this->checkBox5->Text = L"Busca Servidor";
			this->checkBox5->UseVisualStyleBackColor = true;
			// 
			// checkBox6
			// 
			this->checkBox6->AutoSize = true;
			this->checkBox6->Location = System::Drawing::Point(42, 27);
			this->checkBox6->Name = L"checkBox6";
			this->checkBox6->Size = System::Drawing::Size(83, 17);
			this->checkBox6->TabIndex = 0;
			this->checkBox6->Text = L"IP Dinmico";
			this->checkBox6->UseVisualStyleBackColor = true;
			// 
			// groupBox8
			// 
			this->groupBox8->Controls->Add(this->button8);
			this->groupBox8->Controls->Add(this->textBox29);
			this->groupBox8->Controls->Add(this->textBox30);
			this->groupBox8->Controls->Add(this->textBox31);
			this->groupBox8->Controls->Add(this->label29);
			this->groupBox8->Controls->Add(this->label30);
			this->groupBox8->Controls->Add(this->label31);
			this->groupBox8->Controls->Add(this->textBox32);
			this->groupBox8->Controls->Add(this->textBox33);
			this->groupBox8->Controls->Add(this->textBox34);
			this->groupBox8->Controls->Add(this->label32);
			this->groupBox8->Controls->Add(this->label33);
			this->groupBox8->Controls->Add(this->label34);
			this->groupBox8->Location = System::Drawing::Point(280, 6);
			this->groupBox8->Name = L"groupBox8";
			this->groupBox8->Size = System::Drawing::Size(268, 313);
			this->groupBox8->TabIndex = 46;
			this->groupBox8->TabStop = false;
			this->groupBox8->Text = L" ExEtherNet ";
			// 
			// button8
			// 
			this->button8->Location = System::Drawing::Point(61, 258);
			this->button8->Name = L"button8";
			this->button8->Size = System::Drawing::Size(150, 32);
			this->button8->TabIndex = 47;
			this->button8->Text = L"Enviar";
			this->button8->UseVisualStyleBackColor = true;
			// 
			// textBox29
			// 
			this->textBox29->Location = System::Drawing::Point(134, 212);
			this->textBox29->Name = L"textBox29";
			this->textBox29->Size = System::Drawing::Size(114, 20);
			this->textBox29->TabIndex = 41;
			// 
			// textBox30
			// 
			this->textBox30->Location = System::Drawing::Point(135, 174);
			this->textBox30->Name = L"textBox30";
			this->textBox30->Size = System::Drawing::Size(114, 20);
			this->textBox30->TabIndex = 40;
			// 
			// textBox31
			// 
			this->textBox31->Location = System::Drawing::Point(135, 139);
			this->textBox31->Name = L"textBox31";
			this->textBox31->Size = System::Drawing::Size(114, 20);
			this->textBox31->TabIndex = 39;
			// 
			// label29
			// 
			this->label29->AutoSize = true;
			this->label29->Location = System::Drawing::Point(75, 212);
			this->label29->Name = L"label29";
			this->label29->Size = System::Drawing::Size(47, 13);
			this->label29->TabIndex = 38;
			this->label29->Text = L"Senha : ";
			// 
			// label30
			// 
			this->label30->AutoSize = true;
			this->label30->Location = System::Drawing::Point(70, 174);
			this->label30->Name = L"label30";
			this->label30->Size = System::Drawing::Size(52, 13);
			this->label30->TabIndex = 37;
			this->label30->Text = L"Usurio : ";
			// 
			// label31
			// 
			this->label31->AutoSize = true;
			this->label31->Location = System::Drawing::Point(44, 139);
			this->label31->Name = L"label31";
			this->label31->Size = System::Drawing::Size(78, 13);
			this->label31->TabIndex = 36;
			this->label31->Text = L"FTP Servidor : ";
			// 
			// textBox32
			// 
			this->textBox32->Location = System::Drawing::Point(135, 100);
			this->textBox32->Name = L"textBox32";
			this->textBox32->Size = System::Drawing::Size(114, 20);
			this->textBox32->TabIndex = 35;
			// 
			// textBox33
			// 
			this->textBox33->Location = System::Drawing::Point(134, 62);
			this->textBox33->Name = L"textBox33";
			this->textBox33->Size = System::Drawing::Size(114, 20);
			this->textBox33->TabIndex = 34;
			// 
			// textBox34
			// 
			this->textBox34->Location = System::Drawing::Point(134, 27);
			this->textBox34->Name = L"textBox34";
			this->textBox34->Size = System::Drawing::Size(114, 20);
			this->textBox34->TabIndex = 33;
			// 
			// label32
			// 
			this->label32->AutoSize = true;
			this->label32->Location = System::Drawing::Point(78, 100);
			this->label32->Name = L"label32";
			this->label32->Size = System::Drawing::Size(44, 13);
			this->label32->TabIndex = 32;
			this->label32->Text = L"Nome : ";
			// 
			// label33
			// 
			this->label33->AutoSize = true;
			this->label33->Location = System::Drawing::Point(16, 62);
			this->label33->Name = L"label33";
			this->label33->Size = System::Drawing::Size(106, 13);
			this->label33->TabIndex = 31;
			this->label33->Text = L"Servidor de Nomes : ";
			// 
			// label34
			// 
			this->label34->AutoSize = true;
			this->label34->Location = System::Drawing::Point(64, 27);
			this->label34->Name = L"label34";
			this->label34->Size = System::Drawing::Size(58, 13);
			this->label34->TabIndex = 30;
			this->label34->Text = L"Gateway : ";
			// 
			// groupBox9
			// 
			this->groupBox9->Controls->Add(this->button9);
			this->groupBox9->Controls->Add(this->textBox35);
			this->groupBox9->Controls->Add(this->textBox36);
			this->groupBox9->Controls->Add(this->label35);
			this->groupBox9->Controls->Add(this->label36);
			this->groupBox9->Controls->Add(this->textBox37);
			this->groupBox9->Controls->Add(this->textBox38);
			this->groupBox9->Controls->Add(this->textBox39);
			this->groupBox9->Controls->Add(this->label37);
			this->groupBox9->Controls->Add(this->label38);
			this->groupBox9->Controls->Add(this->label39);
			this->groupBox9->Controls->Add(this->textBox40);
			this->groupBox9->Controls->Add(this->textBox41);
			this->groupBox9->Controls->Add(this->textBox42);
			this->groupBox9->Controls->Add(this->label40);
			this->groupBox9->Controls->Add(this->label41);
			this->groupBox9->Controls->Add(this->label42);
			this->groupBox9->Location = System::Drawing::Point(6, 6);
			this->groupBox9->Name = L"groupBox9";
			this->groupBox9->Size = System::Drawing::Size(268, 444);
			this->groupBox9->TabIndex = 9;
			this->groupBox9->TabStop = false;
			this->groupBox9->Text = L" EtherNet ";
			// 
			// button9
			// 
			this->button9->Location = System::Drawing::Point(57, 365);
			this->button9->Name = L"button9";
			this->button9->Size = System::Drawing::Size(150, 32);
			this->button9->TabIndex = 46;
			this->button9->Text = L"Enviar";
			this->button9->UseVisualStyleBackColor = true;
			// 
			// textBox35
			// 
			this->textBox35->Location = System::Drawing::Point(131, 307);
			this->textBox35->Name = L"textBox35";
			this->textBox35->Size = System::Drawing::Size(114, 20);
			this->textBox35->TabIndex = 45;
			// 
			// textBox36
			// 
			this->textBox36->Location = System::Drawing::Point(131, 272);
			this->textBox36->Name = L"textBox36";
			this->textBox36->Size = System::Drawing::Size(114, 20);
			this->textBox36->TabIndex = 44;
			// 
			// label35
			// 
			this->label35->AutoSize = true;
			this->label35->Location = System::Drawing::Point(14, 307);
			this->label35->Name = L"label35";
			this->label35->Size = System::Drawing::Size(107, 13);
			this->label35->TabIndex = 43;
			this->label35->Text = L"Tempo de Exibio : ";
			// 
			// label36
			// 
			this->label36->AutoSize = true;
			this->label36->Location = System::Drawing::Point(72, 272);
			this->label36->Name = L"label36";
			this->label36->Size = System::Drawing::Size(49, 13);
			this->label36->TabIndex = 42;
			this->label36->Text = L"Texto 4 :";
			// 
			// textBox37
			// 
			this->textBox37->Location = System::Drawing::Point(131, 233);
			this->textBox37->Name = L"textBox37";
			this->textBox37->Size = System::Drawing::Size(114, 20);
			this->textBox37->TabIndex = 41;
			// 
			// textBox38
			// 
			this->textBox38->Location = System::Drawing::Point(132, 195);
			this->textBox38->Name = L"textBox38";
			this->textBox38->Size = System::Drawing::Size(114, 20);
			this->textBox38->TabIndex = 40;
			// 
			// textBox39
			// 
			this->textBox39->Location = System::Drawing::Point(132, 160);
			this->textBox39->Name = L"textBox39";
			this->textBox39->Size = System::Drawing::Size(114, 20);
			this->textBox39->TabIndex = 39;
			// 
			// label37
			// 
			this->label37->AutoSize = true;
			this->label37->Location = System::Drawing::Point(72, 233);
			this->label37->Name = L"label37";
			this->label37->Size = System::Drawing::Size(49, 13);
			this->label37->TabIndex = 38;
			this->label37->Text = L"Texto 3 :";
			// 
			// label38
			// 
			this->label38->AutoSize = true;
			this->label38->Location = System::Drawing::Point(72, 195);
			this->label38->Name = L"label38";
			this->label38->Size = System::Drawing::Size(49, 13);
			this->label38->TabIndex = 37;
			this->label38->Text = L"Texto 2 :";
			// 
			// label39
			// 
			this->label39->AutoSize = true;
			this->label39->Location = System::Drawing::Point(69, 160);
			this->label39->Name = L"label39";
			this->label39->Size = System::Drawing::Size(52, 13);
			this->label39->TabIndex = 36;
			this->label39->Text = L"Texto 1 : ";
			// 
			// textBox40
			// 
			this->textBox40->Location = System::Drawing::Point(132, 121);
			this->textBox40->Name = L"textBox40";
			this->textBox40->Size = System::Drawing::Size(114, 20);
			this->textBox40->TabIndex = 35;
			// 
			// textBox41
			// 
			this->textBox41->Location = System::Drawing::Point(131, 83);
			this->textBox41->Name = L"textBox41";
			this->textBox41->Size = System::Drawing::Size(114, 20);
			this->textBox41->TabIndex = 34;
			// 
			// textBox42
			// 
			this->textBox42->Location = System::Drawing::Point(131, 48);
			this->textBox42->Name = L"textBox42";
			this->textBox42->Size = System::Drawing::Size(114, 20);
			this->textBox42->TabIndex = 33;
			// 
			// label40
			// 
			this->label40->AutoSize = true;
			this->label40->Location = System::Drawing::Point(20, 121);
			this->label40->Name = L"label40";
			this->label40->Size = System::Drawing::Size(101, 13);
			this->label40->TabIndex = 32;
			this->label40->Text = L"Mscara de Rede : ";
			// 
			// label41
			// 
			this->label41->AutoSize = true;
			this->label41->Location = System::Drawing::Point(52, 83);
			this->label41->Name = L"label41";
			this->label41->Size = System::Drawing::Size(69, 13);
			this->label41->TabIndex = 31;
			this->label41->Text = L"IP Terminal : ";
			// 
			// label42
			// 
			this->label42->AutoSize = true;
			this->label42->Location = System::Drawing::Point(53, 48);
			this->label42->Name = L"label42";
			this->label42->Size = System::Drawing::Size(68, 13);
			this->label42->TabIndex = 30;
			this->label42->Text = L"IP Servidor : ";
			// 
			// tabPage1
			// 
			this->tabPage1->Controls->Add(this->groupBox1);
			this->tabPage1->Controls->Add(this->groupBox2);
			this->tabPage1->Controls->Add(this->groupBox3);
			this->tabPage1->Location = System::Drawing::Point(4, 22);
			this->tabPage1->Name = L"tabPage1";
			this->tabPage1->Padding = System::Windows::Forms::Padding(3);
			this->tabPage1->Size = System::Drawing::Size(554, 460);
			this->tabPage1->TabIndex = 1;
			this->tabPage1->Text = L"Rede";
			this->tabPage1->UseVisualStyleBackColor = true;
			// 
			// groupBox1
			// 
			this->groupBox1->Controls->Add(this->button1);
			this->groupBox1->Controls->Add(this->checkBox1);
			this->groupBox1->Controls->Add(this->checkBox2);
			this->groupBox1->Location = System::Drawing::Point(280, 325);
			this->groupBox1->Name = L"groupBox1";
			this->groupBox1->Size = System::Drawing::Size(267, 125);
			this->groupBox1->TabIndex = 47;
			this->groupBox1->TabStop = false;
			this->groupBox1->Text = L"groupBox1";
			// 
			// button1
			// 
			this->button1->Location = System::Drawing::Point(61, 68);
			this->button1->Name = L"button1";
			this->button1->Size = System::Drawing::Size(150, 32);
			this->button1->TabIndex = 48;
			this->button1->Text = L"Enviar";
			this->button1->UseVisualStyleBackColor = true;
			// 
			// checkBox1
			// 
			this->checkBox1->AutoSize = true;
			this->checkBox1->Location = System::Drawing::Point(135, 27);
			this->checkBox1->Name = L"checkBox1";
			this->checkBox1->Size = System::Drawing::Size(98, 17);
			this->checkBox1->TabIndex = 1;
			this->checkBox1->Text = L"Busca Servidor";
			this->checkBox1->UseVisualStyleBackColor = true;
			// 
			// checkBox2
			// 
			this->checkBox2->AutoSize = true;
			this->checkBox2->Location = System::Drawing::Point(42, 27);
			this->checkBox2->Name = L"checkBox2";
			this->checkBox2->Size = System::Drawing::Size(83, 17);
			this->checkBox2->TabIndex = 0;
			this->checkBox2->Text = L"IP Dinmico";
			this->checkBox2->UseVisualStyleBackColor = true;
			// 
			// groupBox2
			// 
			this->groupBox2->Controls->Add(this->button2);
			this->groupBox2->Controls->Add(this->textBox3);
			this->groupBox2->Controls->Add(this->textBox4);
			this->groupBox2->Controls->Add(this->textBox5);
			this->groupBox2->Controls->Add(this->label3);
			this->groupBox2->Controls->Add(this->label4);
			this->groupBox2->Controls->Add(this->label5);
			this->groupBox2->Controls->Add(this->textBox6);
			this->groupBox2->Controls->Add(this->textBox7);
			this->groupBox2->Controls->Add(this->textBox8);
			this->groupBox2->Controls->Add(this->label6);
			this->groupBox2->Controls->Add(this->label7);
			this->groupBox2->Controls->Add(this->label8);
			this->groupBox2->Location = System::Drawing::Point(280, 6);
			this->groupBox2->Name = L"groupBox2";
			this->groupBox2->Size = System::Drawing::Size(268, 313);
			this->groupBox2->TabIndex = 46;
			this->groupBox2->TabStop = false;
			this->groupBox2->Text = L" ExEtherNet ";
			// 
			// button2
			// 
			this->button2->Location = System::Drawing::Point(61, 258);
			this->button2->Name = L"button2";
			this->button2->Size = System::Drawing::Size(150, 32);
			this->button2->TabIndex = 47;
			this->button2->Text = L"Enviar";
			this->button2->UseVisualStyleBackColor = true;
			// 
			// textBox3
			// 
			this->textBox3->Location = System::Drawing::Point(134, 212);
			this->textBox3->Name = L"textBox3";
			this->textBox3->Size = System::Drawing::Size(114, 20);
			this->textBox3->TabIndex = 41;
			// 
			// textBox4
			// 
			this->textBox4->Location = System::Drawing::Point(135, 174);
			this->textBox4->Name = L"textBox4";
			this->textBox4->Size = System::Drawing::Size(114, 20);
			this->textBox4->TabIndex = 40;
			// 
			// textBox5
			// 
			this->textBox5->Location = System::Drawing::Point(135, 139);
			this->textBox5->Name = L"textBox5";
			this->textBox5->Size = System::Drawing::Size(114, 20);
			this->textBox5->TabIndex = 39;
			// 
			// label3
			// 
			this->label3->AutoSize = true;
			this->label3->Location = System::Drawing::Point(75, 212);
			this->label3->Name = L"label3";
			this->label3->Size = System::Drawing::Size(47, 13);
			this->label3->TabIndex = 38;
			this->label3->Text = L"Senha : ";
			// 
			// label4
			// 
			this->label4->AutoSize = true;
			this->label4->Location = System::Drawing::Point(70, 174);
			this->label4->Name = L"label4";
			this->label4->Size = System::Drawing::Size(52, 13);
			this->label4->TabIndex = 37;
			this->label4->Text = L"Usurio : ";
			// 
			// label5
			// 
			this->label5->AutoSize = true;
			this->label5->Location = System::Drawing::Point(44, 139);
			this->label5->Name = L"label5";
			this->label5->Size = System::Drawing::Size(78, 13);
			this->label5->TabIndex = 36;
			this->label5->Text = L"FTP Servidor : ";
			// 
			// textBox6
			// 
			this->textBox6->Location = System::Drawing::Point(135, 100);
			this->textBox6->Name = L"textBox6";
			this->textBox6->Size = System::Drawing::Size(114, 20);
			this->textBox6->TabIndex = 35;
			// 
			// textBox7
			// 
			this->textBox7->Location = System::Drawing::Point(134, 62);
			this->textBox7->Name = L"textBox7";
			this->textBox7->Size = System::Drawing::Size(114, 20);
			this->textBox7->TabIndex = 34;
			// 
			// textBox8
			// 
			this->textBox8->Location = System::Drawing::Point(134, 27);
			this->textBox8->Name = L"textBox8";
			this->textBox8->Size = System::Drawing::Size(114, 20);
			this->textBox8->TabIndex = 33;
			// 
			// label6
			// 
			this->label6->AutoSize = true;
			this->label6->Location = System::Drawing::Point(78, 100);
			this->label6->Name = L"label6";
			this->label6->Size = System::Drawing::Size(44, 13);
			this->label6->TabIndex = 32;
			this->label6->Text = L"Nome : ";
			// 
			// label7
			// 
			this->label7->AutoSize = true;
			this->label7->Location = System::Drawing::Point(16, 62);
			this->label7->Name = L"label7";
			this->label7->Size = System::Drawing::Size(106, 13);
			this->label7->TabIndex = 31;
			this->label7->Text = L"Servidor de Nomes : ";
			// 
			// label8
			// 
			this->label8->AutoSize = true;
			this->label8->Location = System::Drawing::Point(64, 27);
			this->label8->Name = L"label8";
			this->label8->Size = System::Drawing::Size(58, 13);
			this->label8->TabIndex = 30;
			this->label8->Text = L"Gateway : ";
			// 
			// groupBox3
			// 
			this->groupBox3->Controls->Add(this->button3);
			this->groupBox3->Controls->Add(this->textBox9);
			this->groupBox3->Controls->Add(this->textBox10);
			this->groupBox3->Controls->Add(this->label9);
			this->groupBox3->Controls->Add(this->label10);
			this->groupBox3->Controls->Add(this->textBox11);
			this->groupBox3->Controls->Add(this->textBox12);
			this->groupBox3->Controls->Add(this->textBox13);
			this->groupBox3->Controls->Add(this->label11);
			this->groupBox3->Controls->Add(this->label12);
			this->groupBox3->Controls->Add(this->label13);
			this->groupBox3->Controls->Add(this->textBox14);
			this->groupBox3->Controls->Add(this->textBox15);
			this->groupBox3->Controls->Add(this->textBox16);
			this->groupBox3->Controls->Add(this->label14);
			this->groupBox3->Controls->Add(this->label15);
			this->groupBox3->Controls->Add(this->label16);
			this->groupBox3->Location = System::Drawing::Point(6, 6);
			this->groupBox3->Name = L"groupBox3";
			this->groupBox3->Size = System::Drawing::Size(268, 444);
			this->groupBox3->TabIndex = 9;
			this->groupBox3->TabStop = false;
			this->groupBox3->Text = L" EtherNet ";
			// 
			// button3
			// 
			this->button3->Location = System::Drawing::Point(57, 365);
			this->button3->Name = L"button3";
			this->button3->Size = System::Drawing::Size(150, 32);
			this->button3->TabIndex = 46;
			this->button3->Text = L"Enviar";
			this->button3->UseVisualStyleBackColor = true;
			// 
			// textBox9
			// 
			this->textBox9->Location = System::Drawing::Point(131, 307);
			this->textBox9->Name = L"textBox9";
			this->textBox9->Size = System::Drawing::Size(114, 20);
			this->textBox9->TabIndex = 45;
			// 
			// textBox10
			// 
			this->textBox10->Location = System::Drawing::Point(131, 272);
			this->textBox10->Name = L"textBox10";
			this->textBox10->Size = System::Drawing::Size(114, 20);
			this->textBox10->TabIndex = 44;
			// 
			// label9
			// 
			this->label9->AutoSize = true;
			this->label9->Location = System::Drawing::Point(14, 307);
			this->label9->Name = L"label9";
			this->label9->Size = System::Drawing::Size(107, 13);
			this->label9->TabIndex = 43;
			this->label9->Text = L"Tempo de Exibio : ";
			// 
			// label10
			// 
			this->label10->AutoSize = true;
			this->label10->Location = System::Drawing::Point(72, 272);
			this->label10->Name = L"label10";
			this->label10->Size = System::Drawing::Size(49, 13);
			this->label10->TabIndex = 42;
			this->label10->Text = L"Texto 4 :";
			// 
			// textBox11
			// 
			this->textBox11->Location = System::Drawing::Point(131, 233);
			this->textBox11->Name = L"textBox11";
			this->textBox11->Size = System::Drawing::Size(114, 20);
			this->textBox11->TabIndex = 41;
			// 
			// textBox12
			// 
			this->textBox12->Location = System::Drawing::Point(132, 195);
			this->textBox12->Name = L"textBox12";
			this->textBox12->Size = System::Drawing::Size(114, 20);
			this->textBox12->TabIndex = 40;
			// 
			// textBox13
			// 
			this->textBox13->Location = System::Drawing::Point(132, 160);
			this->textBox13->Name = L"textBox13";
			this->textBox13->Size = System::Drawing::Size(114, 20);
			this->textBox13->TabIndex = 39;
			// 
			// label11
			// 
			this->label11->AutoSize = true;
			this->label11->Location = System::Drawing::Point(72, 233);
			this->label11->Name = L"label11";
			this->label11->Size = System::Drawing::Size(49, 13);
			this->label11->TabIndex = 38;
			this->label11->Text = L"Texto 3 :";
			// 
			// label12
			// 
			this->label12->AutoSize = true;
			this->label12->Location = System::Drawing::Point(72, 195);
			this->label12->Name = L"label12";
			this->label12->Size = System::Drawing::Size(49, 13);
			this->label12->TabIndex = 37;
			this->label12->Text = L"Texto 2 :";
			// 
			// label13
			// 
			this->label13->AutoSize = true;
			this->label13->Location = System::Drawing::Point(69, 160);
			this->label13->Name = L"label13";
			this->label13->Size = System::Drawing::Size(52, 13);
			this->label13->TabIndex = 36;
			this->label13->Text = L"Texto 1 : ";
			// 
			// textBox14
			// 
			this->textBox14->Location = System::Drawing::Point(132, 121);
			this->textBox14->Name = L"textBox14";
			this->textBox14->Size = System::Drawing::Size(114, 20);
			this->textBox14->TabIndex = 35;
			// 
			// textBox15
			// 
			this->textBox15->Location = System::Drawing::Point(131, 83);
			this->textBox15->Name = L"textBox15";
			this->textBox15->Size = System::Drawing::Size(114, 20);
			this->textBox15->TabIndex = 34;
			// 
			// textBox16
			// 
			this->textBox16->Location = System::Drawing::Point(131, 48);
			this->textBox16->Name = L"textBox16";
			this->textBox16->Size = System::Drawing::Size(114, 20);
			this->textBox16->TabIndex = 33;
			// 
			// label14
			// 
			this->label14->AutoSize = true;
			this->label14->Location = System::Drawing::Point(20, 121);
			this->label14->Name = L"label14";
			this->label14->Size = System::Drawing::Size(101, 13);
			this->label14->TabIndex = 32;
			this->label14->Text = L"Mscara de Rede : ";
			// 
			// label15
			// 
			this->label15->AutoSize = true;
			this->label15->Location = System::Drawing::Point(52, 83);
			this->label15->Name = L"label15";
			this->label15->Size = System::Drawing::Size(69, 13);
			this->label15->TabIndex = 31;
			this->label15->Text = L"IP Terminal : ";
			// 
			// label16
			// 
			this->label16->AutoSize = true;
			this->label16->Location = System::Drawing::Point(53, 48);
			this->label16->Name = L"label16";
			this->label16->Size = System::Drawing::Size(68, 13);
			this->label16->TabIndex = 30;
			this->label16->Text = L"IP Servidor : ";
			// 
			// btnReiniciar
			// 
			this->btnReiniciar->Location = System::Drawing::Point(12, 489);
			this->btnReiniciar->Name = L"btnReiniciar";
			this->btnReiniciar->Size = System::Drawing::Size(148, 32);
			this->btnReiniciar->TabIndex = 55;
			this->btnReiniciar->Text = L"Reiniciar";
			this->btnReiniciar->UseVisualStyleBackColor = true;
			this->btnReiniciar->Click += gcnew System::EventHandler(this, &Form1::btnReiniciar_Click);
			// 
			// btnAtualizar
			// 
			this->btnAtualizar->Location = System::Drawing::Point(12, 451);
			this->btnAtualizar->Name = L"btnAtualizar";
			this->btnAtualizar->Size = System::Drawing::Size(148, 32);
			this->btnAtualizar->TabIndex = 56;
			this->btnAtualizar->Text = L"Atualizar";
			this->btnAtualizar->UseVisualStyleBackColor = true;
			this->btnAtualizar->Click += gcnew System::EventHandler(this, &Form1::btnAtualizar_Click);
			// 
			// menuStrip1
			// 
			this->menuStrip1->Items->AddRange(gcnew cli::array< System::Windows::Forms::ToolStripItem^  >(2) {this->menuToolStripMenuItem, 
				this->idiomaToolStripMenuItem});
			this->menuStrip1->Location = System::Drawing::Point(0, 0);
			this->menuStrip1->Name = L"menuStrip1";
			this->menuStrip1->Size = System::Drawing::Size(737, 24);
			this->menuStrip1->TabIndex = 57;
			this->menuStrip1->Text = L"menuStrip1";
			// 
			// menuToolStripMenuItem
			// 
			this->menuToolStripMenuItem->DropDownItems->AddRange(gcnew cli::array< System::Windows::Forms::ToolStripItem^  >(3) {this->iniciarToolStripMenuItem, 
				this->sairToolStripMenuItem, this->sairToolStripMenuItem1});
			this->menuToolStripMenuItem->Name = L"menuToolStripMenuItem";
			this->menuToolStripMenuItem->Size = System::Drawing::Size(45, 20);
			this->menuToolStripMenuItem->Text = L"&Menu";
			// 
			// iniciarToolStripMenuItem
			// 
			this->iniciarToolStripMenuItem->Name = L"iniciarToolStripMenuItem";
			this->iniciarToolStripMenuItem->Size = System::Drawing::Size(114, 22);
			this->iniciarToolStripMenuItem->Text = L"&Iniciar";
			this->iniciarToolStripMenuItem->Click += gcnew System::EventHandler(this, &Form1::iniciarToolStripMenuItem_Click);
			// 
			// sairToolStripMenuItem
			// 
			this->sairToolStripMenuItem->Name = L"sairToolStripMenuItem";
			this->sairToolStripMenuItem->Size = System::Drawing::Size(111, 6);
			// 
			// sairToolStripMenuItem1
			// 
			this->sairToolStripMenuItem1->Name = L"sairToolStripMenuItem1";
			this->sairToolStripMenuItem1->Size = System::Drawing::Size(114, 22);
			this->sairToolStripMenuItem1->Text = L"&Sair";
			this->sairToolStripMenuItem1->Click += gcnew System::EventHandler(this, &Form1::sairToolStripMenuItem1_Click);
			// 
			// idiomaToolStripMenuItem
			// 
			this->idiomaToolStripMenuItem->DropDownItems->AddRange(gcnew cli::array< System::Windows::Forms::ToolStripItem^  >(2) {this->portugusToolStripMenuItem, 
				this->inglsToolStripMenuItem});
			this->idiomaToolStripMenuItem->Name = L"idiomaToolStripMenuItem";
			this->idiomaToolStripMenuItem->Size = System::Drawing::Size(51, 20);
			this->idiomaToolStripMenuItem->Text = L"&Idioma";
			// 
			// portugusToolStripMenuItem
			// 
			this->portugusToolStripMenuItem->Name = L"portugusToolStripMenuItem";
			this->portugusToolStripMenuItem->Size = System::Drawing::Size(134, 22);
			this->portugusToolStripMenuItem->Text = L"&Portugus";
			this->portugusToolStripMenuItem->Click += gcnew System::EventHandler(this, &Form1::portugusToolStripMenuItem_Click);
			// 
			// inglsToolStripMenuItem
			// 
			this->inglsToolStripMenuItem->Name = L"inglsToolStripMenuItem";
			this->inglsToolStripMenuItem->Size = System::Drawing::Size(134, 22);
			this->inglsToolStripMenuItem->Text = L"&Ingls";
			this->inglsToolStripMenuItem->Click += gcnew System::EventHandler(this, &Form1::inglsToolStripMenuItem_Click);
			// 
			// timer1
			// 
			this->timer1->Interval = 5000;
			this->timer1->Tick += gcnew System::EventHandler(this, &Form1::timer1_Tick);
			// 
			// timer2
			// 
			this->timer2->Tick += gcnew System::EventHandler(this, &Form1::timer2_Tick);
			// 
			// openFileDialog1
			// 
			this->openFileDialog1->FileName = L"openFileDialog1";
			// 
			// Form1
			// 
			this->AutoScaleDimensions = System::Drawing::SizeF(6, 13);
			this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
			this->BackColor = System::Drawing::SystemColors::ButtonFace;
			this->ClientSize = System::Drawing::Size(737, 534);
			this->Controls->Add(this->btnAtualizar);
			this->Controls->Add(this->btnReiniciar);
			this->Controls->Add(this->tabControl1);
			this->Controls->Add(this->listTerminais);
			this->Controls->Add(this->menuStrip1);
			this->Icon = (cli::safe_cast<System::Drawing::Icon^  >(resources->GetObject(L"$this.Icon")));
			this->MainMenuStrip = this->menuStrip1;
			this->Name = L"Form1";
			this->Text = L"Servidor de Terminais de Consulta Gertec - Visual C++";
			this->Load += gcnew System::EventHandler(this, &Form1::Form1_Load);
			this->tabControl1->ResumeLayout(false);
			this->tabPage2->ResumeLayout(false);
			this->tabPage2->PerformLayout();
			this->tabPage5->ResumeLayout(false);
			this->groupBox13->ResumeLayout(false);
			this->groupBox13->PerformLayout();
			this->groupBox14->ResumeLayout(false);
			this->groupBox14->PerformLayout();
			this->groupBox15->ResumeLayout(false);
			this->groupBox15->PerformLayout();
			this->tabPage6->ResumeLayout(false);
			this->groupBox11->ResumeLayout(false);
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->pictureImagemInstantanea))->EndInit();
			this->groupBox10->ResumeLayout(false);
			this->groupBox10->PerformLayout();
			this->tabPage7->ResumeLayout(false);
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->picturePropaganda))->EndInit();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->dataGridViewPropaganda))->EndInit();
			this->tabPage3->ResumeLayout(false);
			this->groupBox4->ResumeLayout(false);
			this->groupBox4->PerformLayout();
			this->groupBox5->ResumeLayout(false);
			this->groupBox5->PerformLayout();
			this->groupBox6->ResumeLayout(false);
			this->groupBox6->PerformLayout();
			this->groupBox7->ResumeLayout(false);
			this->groupBox7->PerformLayout();
			this->groupBox8->ResumeLayout(false);
			this->groupBox8->PerformLayout();
			this->groupBox9->ResumeLayout(false);
			this->groupBox9->PerformLayout();
			this->tabPage1->ResumeLayout(false);
			this->groupBox1->ResumeLayout(false);
			this->groupBox1->PerformLayout();
			this->groupBox2->ResumeLayout(false);
			this->groupBox2->PerformLayout();
			this->groupBox3->ResumeLayout(false);
			this->groupBox3->PerformLayout();
			this->menuStrip1->ResumeLayout(false);
			this->menuStrip1->PerformLayout();
			this->ResumeLayout(false);
			this->PerformLayout();

		}
#pragma endregion

//--------------------------------------------------------------------------------------------------------------
int retornaSocket( char *IP ) {

int i = 0;
char buf[15];

	while ( i < 1021 )
	{
		pfun_TCinet_ntoa( tabelaDeConectados.tabIP[ i ], buf );
		if ( !strcmp (buf, IP) )
		{
			return ( tabelaDeConectados.tabSock[ i ] );
		}
        i = i + 1;
	}
	return 0;

}

//--------------------------------------------------------------------------------------------------------------
void retornaIPLista( String ^textoLista,  char *IP ) {

int qtdeCaracter;
char *enderecoCaracterEncontrado, *stringConvertidoParaChar;
		
    memset(IP, 0, 15);

	stringConvertidoParaChar = ( char* )( void* )Marshal::StringToHGlobalAnsi( textoLista );

	enderecoCaracterEncontrado = strchr( stringConvertidoParaChar, '-' );

	qtdeCaracter = ( ( enderecoCaracterEncontrado - stringConvertidoParaChar ) - 1 );

	strncpy ( IP, stringConvertidoParaChar, qtdeCaracter );

}
//--------------------------------------------------------------------------------------------------------------
void stringParaChar( String ^texto,  char *stringConvertidoParaChar ) {

    strcpy ( stringConvertidoParaChar, ( char* )( void* )Marshal::StringToHGlobalAnsi( texto ) );

}
//--------------------------------------------------------------------------------------------------------------
private: System::Void Form1_Load(System::Object^  sender, System::EventArgs^  e) {

String^ caminhoImagemGrid;

		 LPCSTR x = ( LPCSTR ) "SC501GER.DLL";
		 HSC501GER =  LoadLibraryA( x );

	     if (HSC501GER != NULL)
		 {
		    
			pfun_vInitialize         =   ( void      ( _stdcall * ) ( void ) )																						 GetProcAddress ( HSC501GER, "vInitialize" );
			pfun_tc_startserver      =   ( int       ( _stdcall * ) ( void ) )																						 GetProcAddress ( HSC501GER, "tc_startserver" );
			pfun_bSendRestartSoft    =   ( BOOL      ( _stdcall * ) ( int ID ) )																					 GetProcAddress ( HSC501GER, "bSendRestartSoft" );

			pfun_TCinet_ntoa         =   ( void      ( _stdcall * ) ( DWORD nIP, char *buf ) )																		 GetProcAddress ( HSC501GER, "TCinet_ntoa" );
			pfun_TCinet_addr         =   ( DWORD     ( _stdcall * ) ( char *buf ) )																					 GetProcAddress ( HSC501GER, "TCinet_addr" );
			
			pfun_GetTabConectados    =   ( TTABSOCK  ( _stdcall * ) ( int nada ) )																					 GetProcAddress ( HSC501GER, "GetTabConectados" );

			pfun_bPedeConfig         =   ( BOOL      ( _stdcall * ) ( int ID ) )																					 GetProcAddress ( HSC501GER, "bPedeConfig" );
			pfun_bReceiveConfig      =   ( BOOL      ( _stdcall * ) ( TCCONFIG *confTemp ) )																		 GetProcAddress ( HSC501GER, "bReceiveConfig" );
			pfun_bMandaConfig        =   ( BOOL      ( _stdcall * ) ( TCCONFIG *confTemp ) )																		 GetProcAddress ( HSC501GER, "bMandaConfig" );

			pfun_bPedeParam          =   ( BOOL      ( _stdcall * ) ( int ID ) )																					 GetProcAddress ( HSC501GER, "bPedeParam" );
			pfun_bReceiveParam       =   ( BOOL      ( _stdcall * ) ( TCPARAMCONFIG *confTemp ) )																	 GetProcAddress ( HSC501GER, "bReceiveParam" );
			pfun_bMandaParam         =   ( BOOL      ( _stdcall * ) ( TCPARAMCONFIG *confTemp ) )																	 GetProcAddress ( HSC501GER, "bMandaParam" );

			pfun_bPedeUpdConfig      =   ( BOOL      ( _stdcall * ) ( int ID ) )																					 GetProcAddress ( HSC501GER, "bPedeUpdConfig" );
			pfun_bReceiveUpdConfig   =   ( BOOL      ( _stdcall * ) ( TCUPDCONFIG *confTemp ) )																		 GetProcAddress ( HSC501GER, "bReceiveUpdConfig" );
			pfun_bMandaUpdConfig	 =   ( BOOL      ( _stdcall * ) ( TCUPDCONFIG *confTemp ) )																		 GetProcAddress ( HSC501GER, "bMandaUpdConfig" );

			pfun_bSendDisplayMsg     =   ( BOOL      ( _stdcall * ) ( int ID, char *line1, char *line2, WORD timeExhibition, WORD typeAnimation ) )                  GetProcAddress ( HSC501GER, "bSendDisplayMsg" );
			pfun_bSendImageFromFile  =   ( BOOL      ( _stdcall * ) ( int ID, char *fileName, int width, int height, int index, int loop, int pause, int rezise ) )	 GetProcAddress ( HSC501GER, "bSendImageFromFile" );

			pfun_bReceiveBarcode     =   ( BOOL      ( _stdcall * ) ( int *ID, int *porta, char *buffer, int *nBr ) )												 GetProcAddress ( HSC501GER, "bReceiveBarcode" );
			pfun_bSendProdPrice      =   ( BOOL      ( _stdcall * ) ( int ID, char *nameProd, char *priceProd ) )													 GetProcAddress ( HSC501GER, "bSendProdPrice" );
			pfun_bSendProdNotFound   =   ( BOOL      ( _stdcall * ) ( int ID ) )																					 GetProcAddress ( HSC501GER, "bSendProdNotFound" );

		 }
		 
		 pfun_vInitialize();

		 portugusToolStripMenuItem->Checked = TRUE;

		 dataGridViewPropaganda->Rows->Add( "C:\\Documents and Settings\\user\\Meus documentos\\Visual Studio 2005\\Projects\\Projeto1\\Imagens\\ImagemInicial.bmp", "0", "5" );
		 dataGridViewPropaganda->Rows->Add( "C:\\Documents and Settings\\user\\Meus documentos\\Visual Studio 2005\\Projects\\Projeto1\\Imagens\\Windows.bmp"      , "0", "5" );

		 caminhoImagemGrid = dataGridViewPropaganda->Rows[ 0 ]->Cells[ 0 ]->Value->ToString()->Trim();
		 if( caminhoImagemGrid != "" ){
		     picturePropaganda->Image = Image::FromFile ( caminhoImagemGrid );
		 } else {
			 picturePropaganda->Image = nullptr;
		 }

}
//--------------------------------------------------------------------------------------------------------------
private: System::Void btnAtualizar_Click(System::Object^  sender, System::EventArgs^  e) {			
		 
		 timer1_Tick(sender, e);

}
//--------------------------------------------------------------------------------------------------------------
private: System::Void btnAdicionarPropaganda_Click(System::Object^  sender, System::EventArgs^  e) {

		 dataGridViewPropaganda->Rows->Add( "", "0", "5" );

}
//--------------------------------------------------------------------------------------------------------------
private: System::Void btnApagarPropaganda_Click(System::Object^  sender, System::EventArgs^  e) {

char stringConvertidoParaChar1[ 256 ], stringConvertidoParaChar2[ 256 ];
String^ caminhoImagemGrid;

		 if( ( dataGridViewPropaganda->Rows->Count > 1 ) && ( dataGridViewPropaganda->CurrentRow->Index != dataGridViewPropaganda->Rows->Count - 1 ) ) {
		     dataGridViewPropaganda->Rows->Remove ( dataGridViewPropaganda->Rows [ dataGridViewPropaganda->CurrentRow->Index ] );
			 if( dataGridViewPropaganda->CurrentRow->Index != dataGridViewPropaganda->Rows->Count - 1 ) {
			     caminhoImagemGrid = dataGridViewPropaganda->Rows[ dataGridViewPropaganda->CurrentRow->Index ]->Cells[ 0 ]->Value->ToString()->Trim();
				 if( caminhoImagemGrid != "" ){
				     picturePropaganda->Image = Image::FromFile ( caminhoImagemGrid );
				 } else {
					 picturePropaganda->Image = nullptr;
				 }
			 } else {
				 picturePropaganda->Image = nullptr;
			 }
		 }

}
//--------------------------------------------------------------------------------------------------------------
private: System::Void iniciarToolStripMenuItem_Click(System::Object^  sender, System::EventArgs^  e) {
         
		 if ( pfun_tc_startserver() )
		 {
			 listMensagensRecebidas->Items->Add( "<<< Servidor Inicializado Corretamente >>>" );
		 }
         else
		 {
             listMensagensRecebidas->Items->Add( "<<< Falha na Inicializao do Servidor >>>" );
		 }
		 
		 iniciarToolStripMenuItem->Enabled = FALSE;
		 timer1->Enabled = TRUE;
		 timer2->Enabled = TRUE;

}
//--------------------------------------------------------------------------------------------------------------
private: System::Void sairToolStripMenuItem1_Click(System::Object^  sender, System::EventArgs^  e) {
		 
		 Close();

}
//--------------------------------------------------------------------------------------------------------------
private: System::Void timer1_Tick(System::Object^  sender, System::EventArgs^  e) {

int i, terminalSelecionado, quantidadeDeTerminais;
char buf[ 15 ];
	
	     if ( listTerminais->Items->Count != 0 )
		 {
		 	 terminalSelecionado = listTerminais->SelectedIndex;
			 quantidadeDeTerminais = listTerminais->Items->Count;
		 }
	
		 listTerminais->Items->Clear();

		 tabelaDeConectados = pfun_GetTabConectados(1);

		 i = 0;
		 while ( i < 1021 )
		 {
			 if ( tabelaDeConectados.tabIP[ i ] != 0 )
			 {
				 pfun_TCinet_ntoa( tabelaDeConectados.tabIP[ i ], buf ); 
				 listTerminais->Items->Add( gcnew String( buf ) + " - " + retornaSocket( buf ) );
				 if ( terminalSelecionado == 0 ) {
				     listTerminais->SetSelected( 0, TRUE );
				 }
			 }
			 i = i + 1;
		 }

		 if ( listTerminais->Items->Count != 0 && quantidadeDeTerminais == listTerminais->Items->Count )
		 {
			 listTerminais->SetSelected( terminalSelecionado, TRUE );
		 }
	
}
//--------------------------------------------------------------------------------------------------------------
private: System::Void btnReiniciar_Click(System::Object^  sender, System::EventArgs^  e) {

char stringConvertidoParaChar[ 15 ];

		 retornaIPLista( listTerminais->Text, stringConvertidoParaChar );
		 
		 pfun_bSendRestartSoft( retornaSocket ( stringConvertidoParaChar ) );

}
//--------------------------------------------------------------------------------------------------------------
private: System::Void timer2_Tick(System::Object^  sender, System::EventArgs^  e) {

char bufRecebido[ 1024 ];
char codigoBarras[ 1024 ], descricaoProduto[ 1024 ], precoProduto[ 1024 ];
int socket, verdadeiro_false;
int socketRecebido[1], portaRecebida[1], nBrRecebido[1];

		 memset( bufRecebido, 0, 1023 );

		 if ( pfun_bReceiveBarcode ( socketRecebido, portaRecebida, bufRecebido, nBrRecebido ) ) {
		
			 stringParaChar(textCodigoBarras->Text, codigoBarras);
			 stringParaChar(textDescricaoProduto->Text, descricaoProduto);
			 stringParaChar(textPrecoProduto->Text, precoProduto);

			 verdadeiro_false = strcmp(bufRecebido, codigoBarras);

			 if ( verdadeiro_false == 0 ){
			     pfun_bSendProdPrice( socketRecebido[0], descricaoProduto, precoProduto );
				 listMensagensRecebidas->Items->Add( listTerminais->Text + " -> " + textCodigoBarras->Text + " / " + textDescricaoProduto->Text + " / " + textPrecoProduto->Text );
			 } else {
				 pfun_bSendProdNotFound( socketRecebido[0] );
				 listMensagensRecebidas->Items->Add( listTerminais->Text + " -> No cadastrado" );
			 }
		 }

}
//--------------------------------------------------------------------------------------------------------------
private: System::Void btnEnviarEtherNet_Click(System::Object^  sender, System::EventArgs^  e) {

char stringConvertidoParaChar[ 15 ];
char tempo[ 15 ];
int socket;
TCCONFIG configuracao_1;

		 retornaIPLista( listTerminais->Text, stringConvertidoParaChar );	 
		 socket = retornaSocket ( stringConvertidoParaChar );

		 configuracao_1.ID = socket;
		 stringParaChar ( textIPServidor->Text,     configuracao_1.host );
		 stringParaChar ( textIPTerminal->Text,     configuracao_1.endereco );
		 stringParaChar ( textMascaraRede->Text,    configuracao_1.mskNet );
		 stringParaChar ( textTexto1->Text,         configuracao_1.texto1 );
		 stringParaChar ( textTexto2->Text,         configuracao_1.texto2 );
		 stringParaChar ( textTexto3->Text,         configuracao_1.texto3 );
		 stringParaChar ( textTexto4->Text,         configuracao_1.texto4 );
		 
		 stringParaChar ( textExibicao1->Text,      tempo );
		 configuracao_1.tempoExib = atoi( tempo );
		 Sleep(100);
	 
		 pfun_bMandaConfig ( &configuracao_1 );

}
//--------------------------------------------------------------------------------------------------------------
private: System::Void btnEnviarTextoInstantaneo_Click(System::Object^  sender, System::EventArgs^  e) {

char stringConvertidoParaChar[ 22 ];
char linha1[ 22 ], linha2[ 22 ];
int socket;
WORD tempo;

		 retornaIPLista ( listTerminais->Text,  stringConvertidoParaChar );
		 socket = retornaSocket ( stringConvertidoParaChar );
	 
		 stringParaChar ( textLinha1->Text,     linha1 );

		 stringParaChar ( textLinha2->Text,     linha2 );
	 
		 stringParaChar ( textExibicao2->Text,  stringConvertidoParaChar );
		 tempo = atoi ( stringConvertidoParaChar );
	 
		 pfun_bSendDisplayMsg ( socket, linha1, linha2, WORD ( tempo ), WORD ( 48 ) );

}
//--------------------------------------------------------------------------------------------------------------
private: System::Void btnEnviarExEtherNet_Click(System::Object^  sender, System::EventArgs^  e) {

char stringConvertidoParaChar[ 15 ];
int socket;
TCUPDCONFIG configuracao_2;

	     retornaIPLista( listTerminais->Text, stringConvertidoParaChar );	 
		 socket = retornaSocket ( stringConvertidoParaChar );

		 configuracao_2.ID = socket;
		 stringParaChar ( textGateway->Text,        configuracao_2.gateway );
		 stringParaChar ( textServidorNomes->Text,  configuracao_2.nameServer );
		 stringParaChar ( textTCNome->Text,         configuracao_2.tcName );
		 stringParaChar ( textFTPServidor->Text,    configuracao_2.updServ );
		 stringParaChar ( textUsuario->Text,        configuracao_2.updUser );
		 stringParaChar ( textSenha->Text,          configuracao_2.updPass );
		 Sleep(100);
	 
		 pfun_bMandaUpdConfig ( &configuracao_2 );
		 Sleep(100);
	     pfun_bSendRestartSoft( retornaSocket ( stringConvertidoParaChar ) );
		 
}
//--------------------------------------------------------------------------------------------------------------
private: System::Void btnEnviarParametros_Click(System::Object^  sender, System::EventArgs^  e) {

char stringConvertidoParaChar[ 15 ];
int socket;
TCPARAMCONFIG configuracao_3;

	     retornaIPLista ( listTerminais->Text, stringConvertidoParaChar );	 
		 socket = retornaSocket ( stringConvertidoParaChar );

		 configuracao_3.ID = socket;
		 configuracao_3.ipDinamico  =  checkIPDinamico->Checked;
		 configuracao_3.buscaServ   =  checkBuscaServidor->Checked;
		 Sleep(100);
	 
		 pfun_bMandaParam ( &configuracao_3 ); 

}
//--------------------------------------------------------------------------------------------------------------
private: System::Void btnEnviarImagemInstantanea_Click(System::Object^  sender, System::EventArgs^  e) {

char stringConvertidoParaChar[ 15 ];
char fileName[ 256 ];
int socket;
		 
		 retornaIPLista ( listTerminais->Text,  stringConvertidoParaChar );
		 
		 socket = retornaSocket( stringConvertidoParaChar );

		 stringParaChar ( openFileDialog1->FileName, fileName );

		 pfun_bSendImageFromFile ( socket, fileName, 128, 64, 0, 0, 5, 1 );

}

//--------------------------------------------------------------------------------------------------------------
private: System::Void pictureImagemInstantanea_DoubleClick(System::Object^  sender, System::EventArgs^  e) {

		 if ( openFileDialog1->ShowDialog() == System::Windows::Forms::DialogResult::OK ) {
             pictureImagemInstantanea->Image = Image::FromFile ( openFileDialog1->FileName );
		 }

}
//--------------------------------------------------------------------------------------------------------------
private: System::Void dataGridViewPropaganda_CellContentClick(System::Object^  sender, System::Windows::Forms::DataGridViewCellEventArgs^  e) {

String^ caminhoImagemGrid;

		 if( ( dataGridViewPropaganda->Rows->Count > 1 ) && ( dataGridViewPropaganda->CurrentRow->Index != dataGridViewPropaganda->Rows->Count - 1 ) ) {
		     caminhoImagemGrid = dataGridViewPropaganda->Rows[ dataGridViewPropaganda->CurrentRow->Index ]->Cells[ 0 ]->Value->ToString()->Trim();
			 if( caminhoImagemGrid != "" ){
			     picturePropaganda->Image = Image::FromFile ( caminhoImagemGrid );
			 } else {
				 picturePropaganda->Image = nullptr;
			 }
		 } else {
		     picturePropaganda->Image = nullptr;
		 }

}

//--------------------------------------------------------------------------------------------------------------
private: System::Void dataGridViewPropaganda_CellDoubleClick(System::Object^  sender, System::Windows::Forms::DataGridViewCellEventArgs^  e) {

		 if ( openFileDialog1->ShowDialog() == System::Windows::Forms::DialogResult::OK ) {
             picturePropaganda->Image = Image::FromFile ( openFileDialog1->FileName );
		     dataGridViewPropaganda->Rows[ dataGridViewPropaganda->CurrentRow->Index ]->Cells[ 0 ]->Value = openFileDialog1->FileName;
		 }

}

//--------------------------------------------------------------------------------------------------------------
private: System::Void inglsToolStripMenuItem_Click(System::Object^  sender, System::EventArgs^  e) {
		 
		 portugusToolStripMenuItem->Checked = FALSE;
		 inglsToolStripMenuItem->Checked = TRUE;

}

//--------------------------------------------------------------------------------------------------------------
private: System::Void btnEnviarPropaganda_Click(System::Object^  sender, System::EventArgs^  e) {

char stringConvertidoParaChar[ 15 ], stringConvertidoParaChar1[ 256 ], stringConvertidoParaChar2[ 256 ];
char fileName[ 256 ];
int socket, contador;
		 
		 retornaIPLista ( listTerminais->Text,  stringConvertidoParaChar );
		 
		 socket = retornaSocket( stringConvertidoParaChar );

		 contador = 0;
		 while ( contador < dataGridViewPropaganda->Rows->Count - 1 ) {
		     stringParaChar( dataGridViewPropaganda->Rows[ contador ]->Cells[ 0 ]->Value->ToString()->Trim(), stringConvertidoParaChar1 );
			 stringParaChar( "", stringConvertidoParaChar2 );
			 if( strcmp(stringConvertidoParaChar1, stringConvertidoParaChar2 ) == 1 ) {
			     pfun_bSendImageFromFile ( socket, stringConvertidoParaChar1, 128, 64, 1, 0, 5, 1 );
			 }
			 contador = contador + 1;
		 }		 
}
//--------------------------------------------------------------------------------------------------------------
private: System::Void portugusToolStripMenuItem_Click(System::Object^  sender, System::EventArgs^  e) {

		 inglsToolStripMenuItem->Checked = FALSE;
		 portugusToolStripMenuItem->Checked = TRUE;

}
//--------------------------------------------------------------------------------------------------------------
private: System::Void listTerminais_SelectedIndexChanged(System::Object^  sender, System::EventArgs^  e) {

char stringConvertidoParaChar[ 15 ];
char tempo[10];
int socket;
TCCONFIG configuracao_1;
TCUPDCONFIG configuracao_2;
TCPARAMCONFIG configuracao_3;

			 retornaIPLista( listTerminais->Text, stringConvertidoParaChar );		 
			 socket = retornaSocket ( stringConvertidoParaChar );

			 pfun_bPedeConfig( socket );
 			 Sleep( 100 );
			 pfun_bReceiveConfig( &configuracao_1 );

		     textIPServidor->Text         =  ( gcnew String ( configuracao_1.host ) );
			 textIPTerminal->Text         =  ( gcnew String ( configuracao_1.endereco ) );
			 textMascaraRede->Text        =  ( gcnew String ( configuracao_1.mskNet ) );
			 textTexto1->Text             =  ( gcnew String ( configuracao_1.texto1 ) );
			 textTexto2->Text             =  ( gcnew String ( configuracao_1.texto2 ) );
			 textTexto3->Text             =  ( gcnew String ( configuracao_1.texto3 ) );
			 textTexto4->Text             =  ( gcnew String ( configuracao_1.texto4 ) );
		
			 sprintf( tempo, "%d", configuracao_1.tempoExib );
			 textExibicao1->Text          =  ( gcnew String ( tempo ) );
			
			 pfun_bPedeUpdConfig( socket );
 			 Sleep( 100 );
			 pfun_bReceiveUpdConfig( &configuracao_2 );

			 textGateway->Text            =  ( gcnew String ( configuracao_2.gateway ) );
			 textServidorNomes->Text      =  ( gcnew String ( configuracao_2.nameServer ) );
			 textTCNome->Text             =  ( gcnew String ( configuracao_2.tcName ) );
			 textFTPServidor->Text        =  ( gcnew String ( configuracao_2.updServ ) );
			 textUsuario->Text            =  ( gcnew String ( configuracao_2.updUser ) );
			 textSenha->Text              =  ( gcnew String ( configuracao_2.updPass ) );
			 
			 pfun_bPedeParam( socket );
 			 Sleep( 100 );
			 pfun_bReceiveParam( &configuracao_3 );
				 
			 checkIPDinamico->Checked     =  ( configuracao_3.ipDinamico );
			 checkBuscaServidor->Checked  =  ( configuracao_3.buscaServ );

}
//--------------------------------------------------------------------------------------------------------------
};
}